<?php
/**
 * Template for displaying sticky post.
 *
 * @package geeks
 */

$prepend     = '';
?>
<div class="card mb-4 shadow-lg">
	<div class="row g-0">
		<?php
		$size      = apply_filters( 'geeks_loop_sticky_post_image_size', 'full' );
		$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "full" );

		if ( has_post_thumbnail() ) {
		?><a href="<?php echo esc_url( get_permalink() ); ?>" class="col-lg-8 col-md-12 col-12 bg-cover img-left-rounded" style="background-image: url( <?php echo esc_url( $thumbnail[0] ) ?>)"><?php
		the_post_thumbnail( $size, array( 'class' => 'img-fluid d-lg-none invisible' ) );
		?></a><?php
		}
		?>
		<div class="<?php if ( has_post_thumbnail() ): ?>col-lg-4<?php else:?>col-lg-12<?php endif; ?> col-md-12 col-12">
			<div class="card-body">
			<?php 
			geeks_loop_post_category(); 

			the_title( sprintf( '<h2 class="entry-title mb-2 mb-lg-4 h1"><a href="%s" class="text-inherit" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); 
			geeks_loop_post_excerpt();
			geeks_loop_post_author_info( array( 'wrap_css' => 'mt-7' ) );
			?>
			</div>
		</div>
	</div>
</div><!-- #post-## -->
