<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package geeks
 */

?><!doctype html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php wp_body_open(); ?>

<?php do_action( 'geeks_before_site' ); ?>

<div id="page" class="hfeed site">

	<?php
	do_action( 'geeks_before_header' );

	geeks_display_header( $args );
	?>

	<?php
	/**
	 * Functions hooked in to geeks_before_content
	 *
	 * @hooked geeks_header_widget_region - 10
	 * @hooked woocommerce_breadcrumb - 10
	 */
	do_action( 'geeks_before_content' );
	?>

	<div id="content" class="site-content" tabindex="-1">
		<?php

		do_action( 'geeks_content_top' );
