<?php
/**
 * Geeks ACF Class
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Geeks_ACF' ) ) {

	/**
	 * The Geeks ACF Integration class
	 */
	class Geeks_ACF {

		/**
		 * Setup class.
		 */
		public function __construct() {
			$this->includes();
		}

		/**
		 * Include settings.
		 */
		public function includes() {
			if ( function_exists( 'acf_add_local_field_group' ) ) {
				$settings = [ 'header', 'footer', 'blog-tax', 'single-post', 'single-path', 'course-category' ];
				foreach ( $settings as $setting ) {
					require get_template_directory() . '/inc/acf/settings/' . $setting . '.php';
				}
			}
		}
	}
}

return new Geeks_ACF();
