<?php

/**
 * Process Courses Group Field
 */
function geeks_acf_process_courses_field( $field, $course_category = false ) {
	$courses = false;
	
	if ( isset( $field['courses'] ) ) {
		if ( 'select' === $field['courses'] && ! empty( $field['select_courses'] ) ) {
			$courses = geeks_get_selected_courses( $field['select_courses'] );
		} elseif ( 'free' === $field['courses'] ) {
			$courses = $course_category ? geeks_get_free_courses_by_course_category() : geeks_get_free_courses();
		} elseif ( 'featured' === $field['courses'] ) {
			$courses = $course_category ? geeks_get_featured_courses_by_course_category() : geeks_get_featured_courses();
		} elseif ( 'recent' === $field['courses'] ) {
			$courses = $course_category ? geeks_get_recent_courses_by_course_category() : geeks_get_recent_courses();
		} elseif ( 'popular' === $field['courses'] ) {
			$courses = $course_category ? geeks_get_popular_courses_by_course_category() : geeks_get_popular_courses();
		}
	}

	return $courses;
}

/**
 * Process Instructors Group Field
 */
function geeks_acf_process_instructors_field( $field, $course_category = false ) {
	$instructors = false;

	if ( isset( $field['instructors'] ) ) {
		if ( 'select' === $field['instructors'] && ! empty( $field['select_instructors'] ) ) {
			$instructors = geeks_get_selected_instructors( $field['select_instructors'] );
		} elseif ( 'popular' === $field['instructors'] ) {
			$instructors = $course_category ? geeks_get_instructors_by_course_category( 'popular' ) : geeks_get_instructors_by_popularity();
		} elseif ( 'rated' === $field['instructors'] ) {
			$instructors = $course_category ? geeks_get_instructors_by_course_category( 'rated' ) : geeks_get_instructors_by_rating(); 
		} elseif ( 'active' === $field['instructors'] ) {
			$instructors = $course_category ? geeks_get_instructors_by_course_category( 'active' ) : geeks_get_instructors_by_courses();
		}
	}

	return $instructors;
}