<?php
/**
 * Custom Footer Settings for Page
 *
 * @package Geeks/ACF/Settings/Header
 */

acf_add_local_field_group(
	array(
		'key'                   => 'group_613f36c913632',
		'title'                 => 'Footer Settings',
		'fields'                => array(
			array(
				'key'               => 'field_613f37a04606b',
				'label'             => esc_html__( 'Custom Footer', 'geeks' ),
				'name'              => 'geeks_enable_custom_footer',
				'type'              => 'true_false',
				'instructions'      => esc_html__( 'Enable to add custom footer to this page', 'geeks' ),
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'message'           => esc_html__( 'Enable Custom Footer', 'geeks' ),
				'default_value'     => 0,
				'ui'                => 0,
				'ui_on_text'        => '',
				'ui_off_text'       => '',
			),
			array(
				'key'               => 'field_613f36ed242e9',
				'label'             => esc_html__( 'Footer Variant', 'geeks' ),
				'name'              => 'geeks_footer_variant',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f37a04606b',
							'operator' => '==',
							'value'    => '1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'choices'           => array(
					'v1'         => esc_html__( 'Footer v1', 'geeks' ),
					'v2'         => esc_html__( 'Footer v2', 'geeks' ),
					'speciality' => esc_html__( 'Footer Speciality', 'geeks' ),

				),
				'default_value'     => false,
				'allow_null'        => 0,
				'multiple'          => 0,
				'ui'                => 0,
				'return_format'     => 'value',
				'ajax'              => 0,
				'placeholder'       => '',
			),
			array(
				'key'               => 'field_613f384305b6b',
				'label'             => esc_html__( 'Footer Widgets', 'geeks' ),
				'name'              => 'geeks_enable_footer_widgets',
				'type'              => 'true_false',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f37a04606b',
							'operator' => '==',
							'value'    => '1',
						),
						array(
							'field'    => 'field_613f36ed242e9',
							'operator' => '==',
							'value'    => 'v1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'message'           => esc_html__( 'Enable Footer Widgets', 'geeks' ),
				'default_value'     => 0,
				'ui'                => 0,
				'ui_on_text'        => '',
				'ui_off_text'       => '',
			),
			array(
				'key'               => 'field_613f388d5fc12',
				'label'             => esc_html__( 'Footer White Background', 'geeks' ),
				'name'              => 'geeks_enable_footer_white_background',
				'type'              => 'true_false',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f37a04606b',
							'operator' => '==',
							'value'    => '1',
						),
						array(
							'field'    => 'field_613f36ed242e9',
							'operator' => '==',
							'value'    => 'v1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'message'           => esc_html__( 'Enable Footer White Background', 'geeks' ),
				'default_value'     => 0,
				'ui'                => 0,
				'ui_on_text'        => '',
				'ui_off_text'       => '',
			),
			array(
				'key'               => 'field_613f38c9bb597',
				'label'             => esc_html__( 'Footer Copyright', 'geeks' ),
				'name'              => 'geeks_footer_copyright',
				'type'              => 'textarea',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f37a04606b',
							'operator' => '==',
							'value'    => '1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'default_value'     => '© 2021 Geeks. All Rights Reserved.',
				'placeholder'       => '',
				'maxlength'         => '',
				'rows'              => 4,
				'new_lines'         => '',
			),
		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'page',
				),
			),
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'job_listing',
				),
			),
		),
		'menu_order'            => 2,
		'position'              => 'side',
		'style'                 => 'default',
		'label_placement'       => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen'        => '',
		'active'                => true,
		'description'           => '',
	)
);
