<?php
/**
 * Custom Header Settings for Page
 *
 * @package Geeks/ACF/Settings/Header
 */

acf_add_local_field_group(
	array(
		'key'                   => 'group_613f308b483a7',
		'title'                 => 'Header Settings',
		'fields'                => array(
			array(
				'key'               => 'field_613f30ee0d989',
				'label'             => 'Custom Header',
				'name'              => 'geeks_enable_custom_header',
				'type'              => 'true_false',
				'instructions'      => 'Enable to add custom header to this page',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'message'           => 'Enable Custom Header',
				'default_value'     => 0,
				'ui'                => 0,
				'ui_on_text'        => '',
				'ui_off_text'       => '',
			),
			array(
				'key'               => 'field_6143104a34243',
				'label'             => 'Header Variant',
				'name'              => 'geeks_header_variant',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f30ee0d989',
							'operator' => '==',
							'value'    => '1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'choices'           => array(
					'v1'         => 'Header v1',
					'speciality' => 'Header Speciality',
				),
				'default_value'     => false,
				'allow_null'        => 0,
				'multiple'          => 0,
				'ui'                => 0,
				'return_format'     => 'value',
				'ajax'              => 0,
				'placeholder'       => '',
			),
			array(
				'key'               => 'field_613f314506c4a',
				'label'             => 'Navbar Search',
				'name'              => 'geeks_enable_navbar_search',
				'type'              => 'true_false',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f30ee0d989',
							'operator' => '==',
							'value'    => '1',
						),
						array(
							'field'    => 'field_6143104a34243',
							'operator' => '==',
							'value'    => 'v1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'message'           => 'Enable Navbar Search',
				'default_value'     => 1,
				'ui'                => 0,
				'ui_on_text'        => '',
				'ui_off_text'       => '',
			),
			array(
				'key'               => 'field_613f318a333e4',
				'label'             => 'Navbar User Profile Info',
				'name'              => 'geeks_enable_user_profile',
				'type'              => 'true_false',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f30ee0d989',
							'operator' => '==',
							'value'    => '1',
						),
						array(
							'field'    => 'field_6143104a34243',
							'operator' => '==',
							'value'    => 'v1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'message'           => 'Enable Navbar User Profile Info',
				'default_value'     => 1,
				'ui'                => 0,
				'ui_on_text'        => '',
				'ui_off_text'       => '',
			),
			array(
				'key'               => 'field_614947f3f11dc',
				'label'             => 'Navbar Dark',
				'name'              => 'geeks_enable_dark_header',
				'type'              => 'true_false',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f30ee0d989',
							'operator' => '==',
							'value'    => '1',
						),
						array(
							'field'    => 'field_6143104a34243',
							'operator' => '==',
							'value'    => 'v1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'message'           => 'Enable Dark Header',
				'default_value'     => 0,
				'ui'                => 0,
				'ui_on_text'        => '',
				'ui_off_text'       => '',
			),
			array(
				'key'               => 'field_615c1b330aca3',
				'label'             => 'Navbar Button',
				'name'              => 'geeks_enable_navbar_button',
				'type'              => 'true_false',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f30ee0d989',
							'operator' => '==',
							'value'    => '1',
						),
						array(
							'field'    => 'field_6143104a34243',
							'operator' => '==',
							'value'    => 'v1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'message'           => 'Enable Navbar Button',
				'default_value'     => 0,
				'ui'                => 0,
				'ui_on_text'        => '',
				'ui_off_text'       => '',
			),
			array(
				'key'               => 'field_615c1bfc9442e',
				'label'             => 'Button Variant',
				'name'              => 'geeks_navbar_button_variant',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f30ee0d989',
							'operator' => '==',
							'value'    => '1',
						),
						array(
							'field'    => 'field_6143104a34243',
							'operator' => '==',
							'value'    => 'v1',
						),
						array(
							'field'    => 'field_615c1b330aca3',
							'operator' => '==',
							'value'    => '1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'choices'           => array(
					''        => 'Default',
					'outline' => 'Outline',
				),
				'default_value'     => 'outline',
				'allow_null'        => 0,
				'multiple'          => 0,
				'ui'                => 0,
				'return_format'     => 'value',
				'ajax'              => 0,
				'placeholder'       => '',
			),
			array(
				'key'               => 'field_615c1c681a972',
				'label'             => 'Button Link',
				'name'              => 'geeks_navbar_button_link',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f30ee0d989',
							'operator' => '==',
							'value'    => '1',
						),
						array(
							'field'    => 'field_6143104a34243',
							'operator' => '==',
							'value'    => 'v1',
						),
						array(
							'field'    => 'field_615c1b330aca3',
							'operator' => '==',
							'value'    => '1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'default_value'     => '#',
				'placeholder'       => '',
				'prepend'           => '',
				'append'            => '',
				'maxlength'         => '',
			),
			array(
				'key'               => 'field_615c1cd9d1e7f',
				'label'             => 'Button Text',
				'name'              => 'geeks_navbar_button_text',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f30ee0d989',
							'operator' => '==',
							'value'    => '1',
						),
						array(
							'field'    => 'field_6143104a34243',
							'operator' => '==',
							'value'    => 'v1',
						),
						array(
							'field'    => 'field_615c1b330aca3',
							'operator' => '==',
							'value'    => '1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'default_value'     => 'Buy Now',
				'placeholder'       => '',
				'prepend'           => '',
				'append'            => '',
				'maxlength'         => '',
			),
			array(
				'key'               => 'field_615c1cf8bf6a8',
				'label'             => 'Button Size',
				'name'              => 'geeks_navbar_button_size',
				'type'              => 'select',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f30ee0d989',
							'operator' => '==',
							'value'    => '1',
						),
						array(
							'field'    => 'field_6143104a34243',
							'operator' => '==',
							'value'    => 'v1',
						),
						array(
							'field'    => 'field_615c1b330aca3',
							'operator' => '==',
							'value'    => '1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'choices'           => array(
					''       => 'Default',
					'btn-xs' => 'Extra Small',
					'btn-sm' => 'Small',
					'btn-lg' => 'Large',
				),
				'default_value'     => '',
				'allow_null'        => 0,
				'multiple'          => 0,
				'ui'                => 0,
				'return_format'     => 'value',
				'ajax'              => 0,
				'placeholder'       => '',
			),
			array(
				'key'               => 'field_615c1db3eff70',
				'label'             => 'Button CSS',
				'name'              => 'geeks_navbar_button_css',
				'type'              => 'text',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f30ee0d989',
							'operator' => '==',
							'value'    => '1',
						),
						array(
							'field'    => 'field_6143104a34243',
							'operator' => '==',
							'value'    => 'v1',
						),
						array(
							'field'    => 'field_615c1b330aca3',
							'operator' => '==',
							'value'    => '1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'append'            => '',
				'maxlength'         => '',
			),
			array(
				'key'               => 'field_615c3e6fe405b',
				'label'             => 'Navbar Fullwidth',
				'name'              => 'geeks_enable_navbar_full_width',
				'type'              => 'true_false',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_613f30ee0d989',
							'operator' => '==',
							'value'    => '1',
						),
						array(
							'field'    => 'field_6143104a34243',
							'operator' => '==',
							'value'    => 'v1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'message'           => 'Enable Navbar Fullwidth',
				'default_value'     => 1,
				'ui'                => 0,
				'ui_on_text'        => '',
				'ui_off_text'       => '',
			),
			array(
				'key' => 'field_61654fed97e1e',
				'label' => 'Navbar Shadow',
				'name' => 'geeks_enable_navbar_shadow',
				'type' => 'true_false',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_613f30ee0d989',
							'operator' => '==',
							'value' => '1',
						),
						array(
							'field' => 'field_6143104a34243',
							'operator' => '==',
							'value' => 'v1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'message' => 'Enable Navbar Shadow',
				'default_value' => 1,
				'ui' => 0,
				'ui_on_text' => '',
				'ui_off_text' => '',
			),
			array(
				'key' => 'field_6165503035837',
				'label' => 'Navbar Transparent',
				'name' => 'geeks_enable_navbar_transparent',
				'type' => 'true_false',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => array(
					array(
						array(
							'field' => 'field_613f30ee0d989',
							'operator' => '==',
							'value' => '1',
						),
						array(
							'field' => 'field_6143104a34243',
							'operator' => '==',
							'value' => 'v1',
						),
					),
				),
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'message' => 'Enable Navbar Transparent',
				'default_value' => 0,
				'ui' => 0,
				'ui_on_text' => '',
				'ui_off_text' => '',
			),

		),
		'location' => array(
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'page',
				),
			),
			array(
				array(
					'param' => 'post_type',
					'operator' => '==',
					'value' => 'job_listing',
				),
			),
		),
		'menu_order'            => 1,
		'position'              => 'side',
		'style'                 => 'default',
		'label_placement'       => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen'        => '',
		'active'                => true,
		'description'           => '',
	)
);
