<?php
/**
 * ACF Options for Single Post.
 *
 * @package Geeks/ACF/Settings/Blog/SinglePost
 */

acf_add_local_field_group(
	array(
		'key'                   => 'group_615bff89d5669',
		'title'                 => 'Path Settings - Geeks',
		'fields'                => array(
			array(
				'key'               => 'field_615c068fe706d',
				'label'             => 'General',
				'name'              => '',
				'type'              => 'tab',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'placement'         => 'left',
				'endpoint'          => 0,
			),
			array(
				'key'               => 'field_615dac1fb549d',
				'label'             => 'Number of Students',
				'name'              => 'number_of_students',
				'type'              => 'text',
				'instructions'      => 'Enter the number of students following this path',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'append'            => '',
				'maxlength'         => '',
			),
			array(
				'key'               => 'field_615c0022e0b33',
				'label'             => 'Number of Courses',
				'name'              => 'number_of_courses',
				'type'              => 'number',
				'instructions'      => 'Enter the number of courses in this path. It will be displayed in the Paths archive and Single Path Header in Geeks Theme.',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'append'            => '',
				'min'               => '',
				'max'               => '',
				'step'              => '',
			),
			array(
				'key'               => 'field_615c0074345b1',
				'label'             => 'Number of Hours',
				'name'              => 'number_of_hours',
				'type'              => 'number',
				'instructions'      => 'Enter the number of hours it would take to complete the path. Please provide a round number. This info will be displayed in Paths archive and Single Path Header in Geeks Theme.',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'default_value'     => '',
				'placeholder'       => '',
				'prepend'           => '',
				'append'            => '',
				'min'               => '',
				'max'               => '',
				'step'              => '',
			),
			array(
				'key'               => 'field_615c0626612e9',
				'label'             => 'Courses',
				'name'              => '',
				'type'              => 'tab',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'placement'         => 'left',
				'endpoint'          => 0,
			),
			array(
				'key'               => 'field_615c515407be3',
				'label'             => 'Section #1',
				'name'              => 'section_1',
				'type'              => 'group',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'layout'            => 'row',
				'sub_fields'        => array(
					array(
						'key'               => 'field_615c516e07be4',
						'label'             => 'Title',
						'name'              => 'title',
						'type'              => 'text',
						'instructions'      => 'Enter the section title',
						'required'          => 0,
						'conditional_logic' => 0,
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'default_value'     => '',
						'placeholder'       => '',
						'prepend'           => '',
						'append'            => '',
						'maxlength'         => '',
					),
					array(
						'key'               => 'field_615c539707be5',
						'label'             => 'Description',
						'name'              => 'description',
						'type'              => 'text',
						'instructions'      => 'Enter the section description',
						'required'          => 0,
						'conditional_logic' => 0,
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'default_value'     => '',
						'placeholder'       => '',
						'prepend'           => '',
						'append'            => '',
						'maxlength'         => '',
					),
					array(
						'key'               => 'field_615c546947fcc',
						'label'             => 'Select Courses',
						'name'              => 'select_courses',
						'type'              => 'select',
						'instructions'      => 'Select how you\'d like to display the courses in this section',
						'required'          => 0,
						'conditional_logic' => 0,
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'choices'           => array(
							'static' => 'Static',
						),
						'default_value'     => 'static',
						'allow_null'        => 0,
						'multiple'          => 0,
						'ui'                => 0,
						'return_format'     => 'value',
						'ajax'              => 0,
						'placeholder'       => '',
					),
					array(
						'key'               => 'field_615c54ac47fcd',
						'label'             => 'Courses',
						'name'              => 'select_courses_static',
						'type'              => 'relationship',
						'instructions'      => 'Select the courses that you want to display in this section',
						'required'          => 0,
						'conditional_logic' => array(
							array(
								array(
									'field'    => 'field_615c546947fcc',
									'operator' => '==',
									'value'    => 'static',
								),
							),
						),
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'post_type'         => array(
							0 => 'courses',
						),
						'taxonomy'          => '',
						'filters'           => array(
							0 => 'search',
							1 => 'post_type',
							2 => 'taxonomy',
						),
						'elements'          => '',
						'min'               => '',
						'max'               => '',
						'return_format'     => 'id',
					),
					array(
						'key'               => 'field_615c552047fce',
						'label'             => 'Courses',
						'name'              => 'select_courses_query',
						'type'              => 'query_control_option',
						'instructions'      => 'Select the query to display the courses dynamically',
						'required'          => 0,
						'conditional_logic' => array(
							array(
								array(
									'field'    => 'field_615c546947fcc',
									'operator' => '==',
									'value'    => 'dynamic',
								),
							),
						),
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'layout'            => 'row',
						'post_types'        => array(
							0 => 'courses',
						),
						'sub_fields'        => array(
							array(
								'key'               => 'field_post_type',
								'label'             => 'Source',
								'name'              => 'post_type',
								'type'              => 'select',
								'choices'           => array(
									'courses' => 'Courses',
									'by_id'   => 'Manual Selection',
								),
								'multiple'          => 0,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => 0,
								'default_value'     => 'courses',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_orderby',
								'label'             => 'Order By',
								'name'              => 'orderby',
								'type'              => 'select',
								'choices'           => array(
									'post_date'  => 'Date',
									'post_title' => 'Title',
									'menu_order' => 'Menu Order',
									'rand'       => 'Random',
								),
								'multiple'          => 0,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => 0,
								'default_value'     => 'post_date',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_order',
								'label'             => 'Order',
								'name'              => 'order',
								'type'              => 'select',
								'choices'           => array(
									'asc'  => 'ASC',
									'desc' => 'DESC',
								),
								'multiple'          => 0,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => 0,
								'default_value'     => 'desc',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_include',
								'label'             => 'Include By',
								'name'              => 'include',
								'type'              => 'select',
								'choices'           => array(
									'terms'   => 'Term',
									'authors' => 'Author',
								),
								'multiple'          => 1,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => array(
									array(
										'field'    => 'field_post_type',
										'operator' => '!=',
										'value'    => 'by_id',
									),
								),
								'default_value'     => '',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_include_terms',
								'label'             => 'Term',
								'name'              => 'include_terms',
								'type'              => 'select',
								'choices'           => array(),
								'multiple'          => 1,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => array(
									array(
										'field'    => 'field_include',
										'operator' => '==',
										'value'    => 'terms',
									),
									array(
										'field'    => 'field_post_type',
										'operator' => '!=',
										'value'    => 'by_id',
									),
								),
								'default_value'     => '',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_include_authors',
								'label'             => 'Author',
								'name'              => 'include_authors',
								'type'              => 'select',
								'choices'           => array(
									1 => 'admin',
								),
								'multiple'          => 1,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => array(
									array(
										'field'    => 'field_include',
										'operator' => '==',
										'value'    => 'authors',
									),
									array(
										'field'    => 'field_post_type',
										'operator' => '!=',
										'value'    => 'by_id',
									),
								),
								'default_value'     => '',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'label'             => 'Post Ids',
								'key'               => 'field_posts_ids',
								'name'              => 'posts_ids',
								'type'              => 'text',
								'multiple'          => 1,
								'required'          => 0,
								'conditional_logic' => array(
									array(
										'field'    => 'field_post_type',
										'operator' => '==',
										'value'    => 'by_id',
									),
								),
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => 'Enter Post Ids seperated by commo',
							),
							array(
								'label'             => 'Posts Per Page',
								'key'               => 'field_posts_per_page',
								'name'              => 'posts_per_page',
								'type'              => 'number',
								'min'               => 1,
								'required'          => 0,
								'default_value'     => 4,
								'conditional_logic' => 0,
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
						),
					),
				),
			),
			array(
				'key'               => 'field_615c625b42067',
				'label'             => 'Section #2',
				'name'              => 'section_2',
				'type'              => 'group',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'layout'            => 'row',
				'sub_fields'        => array(
					array(
						'key'               => 'field_615c625b42068',
						'label'             => 'Title',
						'name'              => 'title',
						'type'              => 'text',
						'instructions'      => 'Enter the section title',
						'required'          => 0,
						'conditional_logic' => 0,
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'default_value'     => '',
						'placeholder'       => '',
						'prepend'           => '',
						'append'            => '',
						'maxlength'         => '',
					),
					array(
						'key'               => 'field_615c625b42069',
						'label'             => 'Description',
						'name'              => 'description',
						'type'              => 'text',
						'instructions'      => 'Enter the section description',
						'required'          => 0,
						'conditional_logic' => 0,
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'default_value'     => '',
						'placeholder'       => '',
						'prepend'           => '',
						'append'            => '',
						'maxlength'         => '',
					),
					array(
						'key'               => 'field_615c625b4206a',
						'label'             => 'Select Courses',
						'name'              => 'select_courses',
						'type'              => 'select',
						'instructions'      => 'Select how you\'d like to display the courses in this section',
						'required'          => 0,
						'conditional_logic' => 0,
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'choices'           => array(
							'static'  => 'Static',
							'dynamic' => 'Dynamic',
						),
						'default_value'     => 'static',
						'allow_null'        => 0,
						'multiple'          => 0,
						'ui'                => 0,
						'ajax'              => 0,
						'return_format'     => 'value',
						'placeholder'       => '',
					),
					array(
						'key'               => 'field_615c625b4206b',
						'label'             => 'Courses',
						'name'              => 'select_courses_static',
						'type'              => 'relationship',
						'instructions'      => 'Select the courses that you want to display in this section',
						'required'          => 0,
						'conditional_logic' => array(
							array(
								array(
									'field'    => 'field_615c625b4206a',
									'operator' => '==',
									'value'    => 'static',
								),
							),
						),
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'post_type'         => array(
							0 => 'courses',
						),
						'taxonomy'          => '',
						'filters'           => array(
							0 => 'search',
							1 => 'post_type',
							2 => 'taxonomy',
						),
						'elements'          => '',
						'min'               => '',
						'max'               => '',
						'return_format'     => '',
					),
					array(
						'key'               => 'field_615c625b4206c',
						'label'             => 'Courses',
						'name'              => 'select_courses_query',
						'type'              => 'query_control_option',
						'instructions'      => 'Select the query to display the courses dynamically',
						'required'          => 0,
						'conditional_logic' => array(
							array(
								array(
									'field'    => 'field_615c625b4206a',
									'operator' => '==',
									'value'    => 'dynamic',
								),
							),
						),
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'layout'            => '',
						'post_types'        => array(
							0 => 'courses',
						),
						'sub_fields'        => array(
							array(
								'key'               => 'field_post_type',
								'label'             => 'Source',
								'name'              => 'post_type',
								'type'              => 'select',
								'choices'           => array(
									'courses' => 'Courses',
									'by_id'   => 'Manual Selection',
								),
								'multiple'          => 0,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => 0,
								'default_value'     => 'courses',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_orderby',
								'label'             => 'Order By',
								'name'              => 'orderby',
								'type'              => 'select',
								'choices'           => array(
									'post_date'  => 'Date',
									'post_title' => 'Title',
									'menu_order' => 'Menu Order',
									'rand'       => 'Random',
								),
								'multiple'          => 0,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => 0,
								'default_value'     => 'post_date',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_order',
								'label'             => 'Order',
								'name'              => 'order',
								'type'              => 'select',
								'choices'           => array(
									'asc'  => 'ASC',
									'desc' => 'DESC',
								),
								'multiple'          => 0,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => 0,
								'default_value'     => 'desc',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_include',
								'label'             => 'Include By',
								'name'              => 'include',
								'type'              => 'select',
								'choices'           => array(
									'terms'   => 'Term',
									'authors' => 'Author',
								),
								'multiple'          => 1,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => array(
									array(
										'field'    => 'field_post_type',
										'operator' => '!=',
										'value'    => 'by_id',
									),
								),
								'default_value'     => '',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_include_terms',
								'label'             => 'Term',
								'name'              => 'include_terms',
								'type'              => 'select',
								'choices'           => array(),
								'multiple'          => 1,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => array(
									array(
										'field'    => 'field_include',
										'operator' => '==',
										'value'    => 'terms',
									),
									array(
										'field'    => 'field_post_type',
										'operator' => '!=',
										'value'    => 'by_id',
									),
								),
								'default_value'     => '',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_include_authors',
								'label'             => 'Author',
								'name'              => 'include_authors',
								'type'              => 'select',
								'choices'           => array(
									1 => 'admin',
								),
								'multiple'          => 1,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => array(
									array(
										'field'    => 'field_include',
										'operator' => '==',
										'value'    => 'authors',
									),
									array(
										'field'    => 'field_post_type',
										'operator' => '!=',
										'value'    => 'by_id',
									),
								),
								'default_value'     => '',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'label'             => 'Post Ids',
								'key'               => 'field_posts_ids',
								'name'              => 'posts_ids',
								'type'              => 'text',
								'multiple'          => 1,
								'required'          => 0,
								'conditional_logic' => array(
									array(
										'field'    => 'field_post_type',
										'operator' => '==',
										'value'    => 'by_id',
									),
								),
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => 'Enter Post Ids seperated by commo',
							),
							array(
								'label'             => 'Posts Per Page',
								'key'               => 'field_posts_per_page',
								'name'              => 'posts_per_page',
								'type'              => 'number',
								'min'               => 1,
								'required'          => 0,
								'default_value'     => 4,
								'conditional_logic' => 0,
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
						),
					),
				),
			),
			array(
				'key'               => 'field_615c625f4206d',
				'label'             => 'Section #3',
				'name'              => 'section_3',
				'type'              => 'group',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'layout'            => 'row',
				'sub_fields'        => array(
					array(
						'key'               => 'field_615c625f4206e',
						'label'             => 'Title',
						'name'              => 'title',
						'type'              => 'text',
						'instructions'      => 'Enter the section title',
						'required'          => 0,
						'conditional_logic' => 0,
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'default_value'     => '',
						'placeholder'       => '',
						'prepend'           => '',
						'append'            => '',
						'maxlength'         => '',
					),
					array(
						'key'               => 'field_615c625f4206f',
						'label'             => 'Description',
						'name'              => 'description',
						'type'              => 'text',
						'instructions'      => 'Enter the section description',
						'required'          => 0,
						'conditional_logic' => 0,
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'default_value'     => '',
						'placeholder'       => '',
						'prepend'           => '',
						'append'            => '',
						'maxlength'         => '',
					),
					array(
						'key'               => 'field_615c625f42070',
						'label'             => 'Select Courses',
						'name'              => 'select_courses',
						'type'              => 'select',
						'instructions'      => 'Select how you\'d like to display the courses in this section',
						'required'          => 0,
						'conditional_logic' => 0,
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'choices'           => array(
							'static'  => 'Static',
							'dynamic' => 'Dynamic',
						),
						'default_value'     => 'static',
						'allow_null'        => 0,
						'multiple'          => 0,
						'ui'                => 0,
						'ajax'              => 0,
						'return_format'     => 'value',
						'placeholder'       => '',
					),
					array(
						'key'               => 'field_615c625f42071',
						'label'             => 'Courses',
						'name'              => 'select_courses_static',
						'type'              => 'relationship',
						'instructions'      => 'Select the courses that you want to display in this section',
						'required'          => 0,
						'conditional_logic' => array(
							array(
								array(
									'field'    => 'field_615c625f42070',
									'operator' => '==',
									'value'    => 'static',
								),
							),
						),
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'post_type'         => array(
							0 => 'courses',
						),
						'taxonomy'          => '',
						'filters'           => array(
							0 => 'search',
							1 => 'post_type',
							2 => 'taxonomy',
						),
						'elements'          => '',
						'min'               => '',
						'max'               => '',
						'return_format'     => 'id',
					),
					array(
						'key'               => 'field_615c625f42072',
						'label'             => 'Courses',
						'name'              => 'select_courses_query',
						'type'              => 'query_control_option',
						'instructions'      => 'Select the query to display the courses dynamically',
						'required'          => 0,
						'conditional_logic' => array(
							array(
								array(
									'field'    => 'field_615c625f42070',
									'operator' => '==',
									'value'    => 'dynamic',
								),
							),
						),
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'layout'            => 'row',
						'post_types'        => array(
							0 => 'courses',
						),
						'sub_fields'        => array(
							array(
								'key'               => 'field_post_type',
								'label'             => 'Source',
								'name'              => 'post_type',
								'type'              => 'select',
								'choices'           => array(
									'courses' => 'Courses',
									'by_id'   => 'Manual Selection',
								),
								'multiple'          => 0,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => 0,
								'default_value'     => 'courses',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_orderby',
								'label'             => 'Order By',
								'name'              => 'orderby',
								'type'              => 'select',
								'choices'           => array(
									'post_date'  => 'Date',
									'post_title' => 'Title',
									'menu_order' => 'Menu Order',
									'rand'       => 'Random',
								),
								'multiple'          => 0,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => 0,
								'default_value'     => 'post_date',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_order',
								'label'             => 'Order',
								'name'              => 'order',
								'type'              => 'select',
								'choices'           => array(
									'asc'  => 'ASC',
									'desc' => 'DESC',
								),
								'multiple'          => 0,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => 0,
								'default_value'     => 'desc',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_include',
								'label'             => 'Include By',
								'name'              => 'include',
								'type'              => 'select',
								'choices'           => array(
									'terms'   => 'Term',
									'authors' => 'Author',
								),
								'multiple'          => 1,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => array(
									array(
										'field'    => 'field_post_type',
										'operator' => '!=',
										'value'    => 'by_id',
									),
								),
								'default_value'     => '',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_include_terms',
								'label'             => 'Term',
								'name'              => 'include_terms',
								'type'              => 'select',
								'choices'           => array(),
								'multiple'          => 1,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => array(
									array(
										'field'    => 'field_include',
										'operator' => '==',
										'value'    => 'terms',
									),
									array(
										'field'    => 'field_post_type',
										'operator' => '!=',
										'value'    => 'by_id',
									),
								),
								'default_value'     => '',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'key'               => 'field_include_authors',
								'label'             => 'Author',
								'name'              => 'include_authors',
								'type'              => 'select',
								'choices'           => array(
									1 => 'admin',
								),
								'multiple'          => 1,
								'return_format'     => 'value',
								'ui'                => 1,
								'required'          => 0,
								'conditional_logic' => array(
									array(
										'field'    => 'field_include',
										'operator' => '==',
										'value'    => 'authors',
									),
									array(
										'field'    => 'field_post_type',
										'operator' => '!=',
										'value'    => 'by_id',
									),
								),
								'default_value'     => '',
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
							array(
								'label'             => 'Post Ids',
								'key'               => 'field_posts_ids',
								'name'              => 'posts_ids',
								'type'              => 'text',
								'multiple'          => 1,
								'required'          => 0,
								'conditional_logic' => array(
									array(
										'field'    => 'field_post_type',
										'operator' => '==',
										'value'    => 'by_id',
									),
								),
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => 'Enter Post Ids seperated by commo',
							),
							array(
								'label'             => 'Posts Per Page',
								'key'               => 'field_posts_per_page',
								'name'              => 'posts_per_page',
								'type'              => 'number',
								'min'               => 1,
								'required'          => 0,
								'default_value'     => 4,
								'conditional_logic' => 0,
								'wrapper'           => array(
									'width' => '',
									'class' => '',
									'id'    => '',
								),
								'instructions'      => '',
							),
						),
					),
				),
			),
			array(
				'key'               => 'field_615c0655612eb',
				'label'             => 'About',
				'name'              => '',
				'type'              => 'tab',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'placement'         => 'left',
				'endpoint'          => 0,
			),
			array(
				'key'               => 'field_615c0667612ec',
				'label'             => 'About Path',
				'name'              => 'about_path',
				'type'              => 'wysiwyg',
				'instructions'      => 'Describe the Path',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'default_value'     => '',
				'tabs'              => 'all',
				'toolbar'           => 'full',
				'media_upload'      => 1,
				'delay'             => 0,
			),
		),
		'location'              => array(
			array(
				array(
					'param'    => 'post_type',
					'operator' => '==',
					'value'    => 'course_path',
				),
			),
		),
		'menu_order'            => 0,
		'position'              => 'normal',
		'style'                 => 'default',
		'label_placement'       => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen'        => '',
		'active'                => true,
		'description'           => '',
	)
);
