<?php
/**
 * Geeks Admin Class
 *
 * @package  geeks
 * @since    1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'Geeks_Admin' ) ) :
	/**
	 * The Geeks admin class
	 */
	class Geeks_Admin {

		/**
		 * Instantiate Geeks Admin object
		 */
		public function __construct() {
			add_action( 'admin_init', [ $this, 'run_once' ] );
		}

		/**
		 * Method that runs only once in admin
		 */
		public function run_once() {
			if ( ! apply_filters( 'geeks_admin_force_run_once', true ) && get_option( 'geeks_admin_run_once_completed', false ) ) {
				return;
			}

			update_option( 'job_manager_enable_categories', '1' );

			update_option( 'tribe_skip_welcome', true );

			do_action( 'geeks_admin_run_once' );

			update_option( 'geeks_admin_run_once_completed', true );
		}
	}

endif;

return new Geeks_Admin();
