<?php
/**
 * Functions used in courses
 */

/**
 * Get Course Tax Object
 */
function geeks_get_course_tax() {
	$term = false;

	if( learn_press_is_course_tax() ) {
		$term = get_queried_object();
	}

	return $term;
}

/**
 * Get Courses
 */
function geeks_get_courses( $args = array() ) {
	$defaults = [
		'posts_per_page' => 4,
		'post_type'      => LP_COURSE_CPT,
		'post_status'    => 'publish'
	];

	$args = wp_parse_args( $args, $defaults );
	return new WP_Query( $args );
}

/**
 * Get Featured Courses
 */
function geeks_get_featured_courses( $args = array() ) {
	$limit = 4;

	if ( isset( $args['posts_per_page'] ) ) {
		$limit = absint( $args['posts_per_page'] );
	}

	$curd             = new LP_Course_CURD();
	$course_ids       = $curd->get_featured_courses( array( 'limit' => $limit ) );
	$args['post__in'] = $course_ids;
	$args['limit']    = $limit;
	
	return geeks_get_courses( $args );
}

/**
 * Get Popular Courses
 */
function geeks_get_popular_courses( $args = array() ) {
	$limit = 4;

	if ( isset( $args['posts_per_page'] ) ) {
		$limit = absint( $args['posts_per_page'] );
	}

	$curd             = new LP_Course_CURD();
	$course_ids       = $curd->get_popular_courses( array( 'limit' => $limit ) );
	$args['post__in'] = $course_ids;
	$args['limit']    = $limit;
	
	return geeks_get_courses( $args );
}

/**
 * Get Popular Courses
 */
function geeks_get_recent_courses( $args = array() ) {
	$args['order']   = 'DESC';
	$args['orderby'] = 'date';
	
	return geeks_get_courses( $args );
}

/**
 * Get Selected Courses
 */
function geeks_get_selected_courses( $course_ids ) {
	$args['post__in'] = $course_ids;
	return geeks_get_courses( $args );
}

/**
 * Get FREE Courses
 */
function geeks_get_free_courses( $args = array() ) {
	$condition = array(
		'key'     => '_lp_price',
		'compare' => '=',
		'value'   => '0',
		'type'    => 'SIGNED'
	);
	
	if ( isset( $args['meta_query'] ) ) {
		$args['meta_query'][]           = $condition;
		$args['meta_query']['relation'] = isset( $args['meta_query']['relation'] ) ? $args['meta_query']['relation'] : 'AND';
	} else {
		$args['meta_query'] = array( $condition );
	}

	return geeks_get_courses( $args );
}

/**
 * Get Paid courses
 */
function geeks_get_paid_courses( $args = array() ) {
	$condition = array(
		'key'     => '_lp_price',
		'compare' => '>',
		'value'   => '0',
		'type'    => 'SIGNED'
	);
	
	if ( isset( $args['meta_query'] ) ) {
		$args['meta_query'][]             = $condition;
		$args['meta_query'][ 'relation' ] = isset( $args['meta_query'][ 'relation' ] ) ? $args['meta_query'][ 'relation' ] : 'AND';
	} else {
		$args['meta_query'] = array( $condition );
	}

	return geeks_get_courses( $args );
}