<?php

remove_action( 'learn-press/before-main-content', LP()->template( 'general' )->func( 'breadcrumb' ) );

/**
 * Courses Loop
 */
add_action( 'geeks_before_courses_loop_item_body', 'geeks_loop_course_thumbnail', 10 );

add_action( 'geeks_courses_loop_item_body', 'geeks_loop_course_title', 10 );
add_action( 'geeks_courses_loop_item_body', 'geeks_loop_course_meta', 20 );
add_action( 'geeks_courses_loop_item_body', 'geeks_loop_course_price', 30 );
add_action( 'geeks_courses_loop_item_body', 'geeks_loop_course_footer', 40 );

add_action( 'geeks_courses_loop_item_footer', 'geeks_loop_course_footer_wrap_start', 10 );
add_action( 'geeks_courses_loop_item_footer', 'geeks_loop_course_instructor', 20 );
add_action( 'geeks_courses_loop_item_footer', 'geeks_loop_course_bookmark', 30 );
add_action( 'geeks_courses_loop_item_footer', 'geeks_loop_course_footer_wrap_end', 40 );

/**
 * Single Course
 */
LP()->template( 'course' )->remove_callback( 'learn-press/single-course-summary', 'single-course/content', 10 );
add_action( 'learn-press/single-course-summary', LP()->template( 'course' )->callback( 'single-course/content' ), 5 );
LP()->template( 'course' )->remove_callback( 'learn-press/course-content-summary', 'single-course/meta-primary', 10 );

// Page Header.
LP()->template( 'course' )->remove( 'learn-press/course-content-summary', array( '<div class="course-detail-info"> <div class="lp-content-area"> <div class="course-info-left">', 'course-info-left-open' ), 10 );
LP()->template( 'course' )->remove( 'learn-press/course-content-summary', array( ' </div> </div> </div>', 'course-info-left-close' ), 15 );

add_action(
	'learn-press/course-content-summary',
	LP()->template( 'course' )->text(
		'<div class="course-detail-info pt-lg-8 pb-lg-16 pt-8 pb-12 bg-primary"><div class="container"><div class="row align-items-center"><div class="lp-content-area col-xl-7 col-lg-7 col-md-12"><div class="course-info-left">',
		'course-info-left-open'
	),
	5
);
add_action(
	'learn-press/course-content-summary',
	LP()->template( 'course' )->text( '</div><!-- /.course-info-left --></div></-- /.lp-content-area --></div><!-- /.row --></div><!-- /.container --></div><!-- /.course-detail-info -->', 'course-info-left-close' ),
	15
);

remove_action( 'learn-press/course-content-summary', LP()->template( 'course' )->func( 'course_comment_template' ), 75 );

// Meta.
LP()->template( 'course' )->remove_callback( 'learn-press/course-meta-secondary-left', 'single-course/meta/duration', 10 );
LP()->template( 'course' )->remove_callback( 'learn-press/course-meta-secondary-left', 'single-course/meta/level', 20 );
remove_action( 'learn-press/course-meta-secondary-left', LP()->template( 'course' )->func( 'count_object' ), 20 );

add_action( 'learn-press/course-meta-secondary-left', 'geeks_single_course_meta_wrap_start', 5 );
add_action( 'learn-press/course-meta-secondary-left', 'geeks_single_course_duration', 10 );
add_action( 'learn-press/course-meta-secondary-left', 'geeks_single_course_rating', 20 );
add_action( 'learn-press/course-meta-secondary-left', 'geeks_single_course_level', 30 );
add_action( 'learn-press/course-meta-secondary-left', 'geeks_single_course_meta_wrap_end', 90 );

// Page Content.
LP()->template( 'course' )->remove( 'learn-press/course-content-summary', array( '<div class="lp-entry-content lp-content-area">', 'lp-entry-content-open' ), 30 );

LP()->template( 'course' )->remove( 'learn-press/course-content-summary', array( '<div class="entry-content-left">', 'entry-content-left-open' ), 35 );

LP()->template( 'course' )->remove( 'learn-press/course-content-summary', array( ' </div>', 'lp-entry-content-close' ), 100 );
add_action( 'learn-press/course-content-summary', LP()->template( 'course' )->text( '<div class="pb-10"><div class="container">','lp-entry-content-open' ), 25 );
add_action( 'learn-press/course-content-summary', LP()->template( 'course' )->text( '<div class="lp-entry-content lp-content-area row">'), 30 );
add_action( 'learn-press/course-content-summary', LP()->template( 'course' )->text( '<div class="entry-content-left col-lg-8 col-md-12 col-12 mt-n8 mb-4 mb-lg-0">', 'entry-content-left-open' ), 35 );
add_action( 'learn-press/course-content-summary', LP()->template( 'course' )->text( '</div>' ), 100 );

add_action( 'learn-press/course-content-summary', 'geeks_related_courses', 105 );


add_action( 'learn-press/course-content-summary', LP()->template( 'course' )->text( '</div><!-- /.lp-entry-content --></div><!-- /.container -->' ,  'lp-entry-content-close' ), 110 );

// Page Content Main Hooks.
remove_action( 'learn-press/course-content-summary', LP()->template( 'course' )->func( 'course_extra_boxes' ), 40 );
remove_action( 'learn-press/course-content-summary', LP()->template( 'course' )->func( 'course_extra_boxes' ), 70 );

//add_action( 'geeks_after_tab_content_overview', , 10 );

// Page Content Sidebar Hooks.
add_action( 'learn-press/before-course-buttons', LP()->template( 'course' )->text( '<div class="d-grid course-buttons__inner">', 'geeks-course-buttons-inner-open' ), 1 );
add_action( 'learn-press/after-course-buttons', LP()->template( 'course' )->text( '</div><!-- /. course-buttons__inner -->', 'geeks-course-buttons-inner-close' ), PHP_INT_MAX );

add_action( 'learn-press/course-summary-sidebar', 'geeks_single_course_instructor', 20 );

// Curriculum Hooks.
add_action( 'learn-press/before-section-loop-item-title', 'geeks_course_section_status_icon', 10, 3 );

// Lesson Hooks.
remove_action(
    'learn-press/course-section-item/before-lp_quiz-meta',
    LP()->template( 'course' )->func( 'item_meta_duration' ),
    20
);
remove_action(
    'learn-press/course-section-item/before-lp_lesson-meta',
    LP()->template( 'course' )->func( 'item_meta_duration' ),
    10
);

remove_action(
    'learn-press/course-section-item/before-lp_quiz-meta',
    LP()->template( 'course' )->func( 'quiz_meta_questions' ),
    10
);


LP()->template( 'course' )->remove( 'learn-press/single-button-toggle-sidebar', array( '<input type="checkbox" id="sidebar-toggle" />','single-button-toggle-sidebar' ), 5 );
remove_action( 'learn-press/single-item-summary', LP()->template( 'course' )->func( 'popup_sidebar' ), 20 );

add_action( 'learn-press/single-item-summary', LP()->template( 'course' )->text( '<div class="pt-5 pb-lg-22 course-container"><div class="container-fluid"><div class="row"><div class="col-12"><div class="tab-content content"><div class="tab-pane fade show active">', 'geeks-course-content-wrap-open' ), 5 );
add_action( 'learn-press/single-item-summary', LP()->template( 'course' )->text( '</div></div></div></div></div></div>', 'geeks-course-content-wrap-close' ), 60 );

add_action( 'learn-press/single-item-summary', LP()->template( 'course' )->text( '<div class="card course-sidebar">', 'geeks-course-sidebar-wrap-open' ), 70 );
add_action( 'learn-press/single-item-summary', LP()->template( 'course' )->func( 'popup_sidebar' ), 80 );
add_action( 'learn-press/single-item-summary', LP()->template( 'course' )->text( '</div><!-- /.course-sidebar -->', 'geeks-course-sidebar-wrap-close' ), 90 );
add_action( 'learn-press/course-section-item/before-lp_lesson-meta', 'geeks_item_meta_duration', 5 );
add_action( 'learn-press/course-section-item/before-lp_quiz-meta', 'geeks_item_meta_duration', 10 );
add_action( 'learn-press/course-section-item/before-lp_quiz-meta', 'geeks_quiz_meta_questions', 5 );

/**
 * Course Category
 */
remove_action( 'lp/template/archive-course/description', 'lp_archive_course_page_content' );
remove_action( 'lp/template/archive-course/description', 'lp_taxonomy_archive_course_description' );

add_action( 'lp/template/archive-course/description', 'geeks_courses_tax_header_description' );

add_action( 'learn-press/before-courses-loop', 'geeks_after_course_category_header', 5 );
add_action( 'geeks_after_courses_tax_header', 'geeks_course_category_display_tabs', 10 );
add_action( 'geeks_after_courses_tax_header', 'geeks_course_category_display_instructors', 20 );
add_action( 'geeks_after_courses_tax_header', 'geeks_course_category_display_courses', 30 );
add_action( 'geeks_after_courses_tax_header', 'geeks_course_category_display_courses_header', 40 );

/**
 * Profile Pages
 */
// Before Login.
remove_action( 'register_form', 'learn_press_user_become_teacher_registration_form' );
add_action( 'register_form', 'geeks_lp_user_become_teacher_registration_form' );

add_action( 'learn-press/before-form-login', 'geeks_profile_display_register_link', 10 );
add_action( 'learn-press/before-form-register', 'geeks_profile_display_login_link', 10 );

add_action( 'learn-press/user-profile', 'geeks_profile_login_register_wrap_start', 6 );
add_action( 'learn-press/user-profile', 'geeks_profile_lost_password_form', 13 );
add_action( 'learn-press/user-profile', 'geeks_profile_login_register_wrap_end', 20 );

// After login.
add_action( 'learn-press/user-profile', 'geeks_profile_page_wrap_start', 0 );
add_action( 'learn-press/user-profile', 'geeks_profile_header', 5 );
add_action( 'learn-press/user-profile', 'geeks_profile_sidebar_wrap_start', 9 );
add_action( 'learn-press/user-profile', 'geeks_profile_sidebar_wrap_end', 15 );
add_action( 'learn-press/user-profile', 'geeks_profile_content_wrap_start', 15 );
add_action( 'learn-press/user-profile', 'geeks_profile_content_wrap_end', 30 );
add_action( 'learn-press/user-profile', 'geeks_profile_page_wrap_end', 100 );

// Filter tabs.
add_filter( 'learn-press/profile-tabs', 'geeks_override_profile_tabs', 10 );

/**
 * Checkout
 */
add_action( 'learnpress/template/pages/checkout/before-content', 'geeks_page_header', 10 );
add_action( 'learn-press/before-checkout-page', 'geeks_checkout_content_wrap_start', 10 );
add_action( 'learn-press/after-checkout-page', 'geeks_checkout_content_wrap_end', 20 );

remove_action( 'learn-press/after-checkout-form', LP()->template( 'checkout' )->func( 'terms' ), 80 );
add_action( 'learn-press/after-checkout-submit-button', LP()->template( 'checkout' )->func( 'terms' ), 10 );

add_action( 'learn-press/order/received', 'geeks_order_received_action_buttons', 10 );

/**
 * Single Course v2
 */
add_filter( 'learn-press/course-tabs',     'geeks_course_tabs_customize' );

add_action( 'course-content-summary-v2',   'geeks_course_media_preview_wrap', 10 );
add_action( 'course-content-summary-v2',   'geeks_single_course_entry_content_wrap_start', 40 );

add_action( 'course-content-summary-v2',   'geeks_single_course_entry_content_left_column', 50 );
add_action( 'course-content-summary-v2',   'geeks_single_course_entry_content_right_column', 60 );
add_action( 'course-content-summary-v2',   'geeks_single_course_entry_content_wrap_end', 200 );

add_action( 'geeks_single_course_v2_left_content',   'geeks_single_course_v2_left_content_inner', 10 );
add_action( 'geeks_single_course_v2_tabs',   LP()->template( 'course' )->callback( 'single-course/tabs/tabs' ), 10 );

add_action( 'geeks_single_course_v2_right_content',   LP()->template( 'course' )->func( 'course_curriculum' ), 10 );
