<?php
/**
 * Geeks Tutor AJAX. AJAX Event Handlers.
 *
 * @class Geeks_Tutor_AJAX
 */

defined( 'ABSPATH' ) || exit;

/**
 * Geeks_Tutor_AJAX class.
 */
class Geeks_Tutor_AJAX {

	/**
	 * Hook in ajax handlers.
	 */
	public static function init() {
		add_action( 'init', array( __CLASS__, 'define_ajax' ), 0 );
	}

	/**
	 * Set WC AJAX constant and headers.
	 */
	public static function define_ajax() {
		// phpcs:disable
		if ( ! empty( $_GET['geeks-tutor-ajax'] ) ) {
			geeks_maybe_define_constant( 'DOING_AJAX', true );
			geeks_maybe_define_constant( 'WC_DOING_AJAX', true );
			$GLOBALS['wpdb']->hide_errors();
		}
		// phpcs:enable
	}

	/**
	 * Hook in methods - uses WordPress ajax handlers (admin-ajax).
	 */
	public static function add_ajax_events() {
		$ajax_events = array(
			'feature_course'
		);

		foreach ( $ajax_events as $ajax_event ) {
			add_action( 'wp_ajax_geeks_tutor_' . $ajax_event, array( __CLASS__, $ajax_event ) );
		}
	}

	/**
	 * Toggle Featured status of a course from admin.
	 */
	public static function feature_product() {
		if ( current_user_can( 'edit_courses' ) && check_admin_referer( 'geeks-tutor-feature-course' ) && isset( $_GET['course_id'] ) ) {
			$product = wc_get_product( absint( $_GET['course_id'] ) );

			if ( $product ) {
				$product->set_featured( ! $product->get_featured() );
				$product->save();
			}
		}

		wp_safe_redirect( wp_get_referer() ? remove_query_arg( array( 'trashed', 'untrashed', 'deleted', 'ids' ), wp_get_referer() ) : admin_url( 'edit.php?post_type=courses' ) );
		exit;
	}
}