<?php
/**
 * WooCommerce Template Function Overrides
 *
 * @package woocommerce
 */


if ( ! function_exists( 'woocommerce_template_loop_product_title' ) ) {

    /**
     * Show the product title in the product loop. By default this is an H2.
     */
    function woocommerce_template_loop_product_title( $view = 'grid' ) {
        global $post, $product;

        $title_class = apply_filters( 'woocommerce_product_loop_title_classes', 'woocommerce-loop-product__title mb-2 text-truncate-line-2' );
        $title_tag   = apply_filters( 'geeks_loop_course_title_tag', 'h3' );

        if ( 'list' === $view ) {
            $title_class .= ' h3';
        } else {
            $title_class .= ' h4';
        }

        $link = apply_filters( 'woocommerce_loop_product_link', get_the_permalink(), $product );

        ?><<?php echo esc_html( $title_tag );?> class="<?php echo esc_attr( $title_class ); ?>"><a href="<?php echo esc_url( $link ); ?>" class="woocommerce-LoopProduct-link woocommerce-loop-product__link text-inherit"><?php the_title(); ?></a></<?php echo esc_html( $title_tag );?>><?php
    }
}

/**
 * Get the product price for the loop.
 */

function woocommerce_template_loop_price() {
    global $product;

    if ( $price_html = $product->get_price_html() ) : ?>
        <div class="d-block price text-dark fw-medium lh-1 mt-3">
            <?php echo wp_kses_post( $price_html ); ?>
        </div>
    <?php endif; 

}



