<?php
/**
 * Template hooks related to Tutor
 */

/**
 * Shop
 */

remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10 );
remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20 );
remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );
remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30 );
remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10 );
remove_action( 'woocommerce_after_shop_loop', 'woocommerce_pagination', 10 );

add_filter( 'woocommerce_catalog_orderby', 'geeks_wc_catalog_orderby', 10 );
add_filter( 'woocommerce_product_loop_start', 'geeks_product_loop_start', 10 );
add_filter( 'woocommerce_format_sale_price', 'geeks_wc_format_sale_price', 10, 3 );
add_filter( 'woocommerce_loop_add_to_cart_link', 'geeks_wc_loop_add_to_cart_link', 10, 3 );
add_filter( 'woocommerce_product_get_rating_html', 'geeks_display_product_rating', 10, 3 );
add_filter( 'woocommerce_rating_filter_count', 'geeks_wc_rating_filter_count_html', 10, 2 );
add_filter( 'woocommerce_get_star_rating_html', 'geeks_wc_get_star_rating_html', 10, 3 );

add_action( 'woocommerce_before_shop_loop', 'geeks_shop_control_bar', 20 );

add_action( 'geeks_before_products_loop_item_body', 'geeks_loop_product_thumbnail', 10 );

add_action( 'geeks_products_loop_item_body', 'woocommerce_template_loop_product_title', 10 );
add_action( 'geeks_products_loop_item_body', 'geeks_loop_product_meta', 20 );

add_action( 'geeks_products_loop_item_body', 'woocommerce_template_loop_price', 40 );
add_action( 'geeks_products_loop_item_body', 'geeks_loop_product_footer', 50 );

add_action( 'geeks_products_loop_item_footer', 'geeks_loop_product_footer_wrap_start', 10 );
add_action( 'geeks_products_loop_item_footer', 'woocommerce_template_loop_add_to_cart', 20 );
add_action( 'geeks_products_loop_item_footer', 'geeks_loop_product_footer_wrap_end', 40 );

add_action( 'woocommerce_after_shop_loop', 'geeks_wc_paging_nav', 10 );

add_filter( 'woocommerce_layered_nav_term_html', 'geeks_wc_layered_nav_term_html', 10, 4 );


/**
 * Checkout
 */

remove_action( 'woocommerce_checkout_order_review', 'woocommerce_checkout_payment', 20 );
add_action( 'woocommerce_checkout_after_customer_details', 'woocommerce_checkout_payment', 10 );


/**
 * MyAccount
 */

//add_action( 'woocommerce_before_customer_login_form', 'geeks_wc_login_register_wrap_start', 6 );
//add_action( 'woocommerce_after_customer_login_form', 'geeks_lost_password_form', 15 );

//add_action( 'woocommerce_after_customer_login_form', 'geeks_wc_login_register_wrap_end', 20 );

add_action( 'woocommerce_before_reset_password_form', 'geeks_wc_login_register_wrap_start', 5 );
add_action( 'woocommerce_after_reset_password_form', 'geeks_wc_login_register_wrap_end', 10 );

add_action( 'woocommerce_before_lost_password_confirmation', 'geeks_wc_login_register_wrap_start', 5 );
add_action( 'woocommerce_after_lost_password_confirmation', 'geeks_wc_login_register_wrap_end', 20 );

add_action( 'geeks_wc_user_account', 'geeks_account_page_header', 10 );

add_filter( 'woocommerce_account_menu_item_classes', 'geeks_wc_account_menu_item_classes', 10, 2 );


/**
 * Cart
 */

remove_action( 'woocommerce_cart_is_empty', 'wc_empty_cart_message', 10 );
remove_action( 'woocommerce_cart_collaterals', 'woocommerce_cross_sell_display' );

add_filter( 'woocommerce_cart_totals_coupon_html', 'geeks_wc_cart_totals_coupon_html', 10, 3 );

add_action( 'woocommerce_cart_is_empty', 'geeks_empty_cart_message', 10 );
add_action( 'woocommerce_after_cart', 'geeks_output_cross_sell_products' );
remove_action( 'woocommerce_widget_shopping_cart_total', 'woocommerce_widget_shopping_cart_subtotal', 10 );
remove_action( 'woocommerce_widget_shopping_cart_buttons', 'woocommerce_widget_shopping_cart_button_view_cart', 10 );
remove_action( 'woocommerce_widget_shopping_cart_buttons', 'woocommerce_widget_shopping_cart_proceed_to_checkout', 20 );
/**
 * Header
 */
add_action( 'geeks_header', 'geeks_navbar_cart', 20 );
add_action( 'geeks_header', 'geeks_navbar_cart', 65 );
add_action( 'geeks_before_header', 'geeks_navbar_wc_account_modal', 10 );
add_filter( 'woocommerce_add_to_cart_fragments', 'geeks_cart_link_fragment' );

/**
 * Single Product page
 */
add_action( 'template_redirect', 'geeks_wc_product_remove_sidebar' );

remove_action( 'woocommerce_before_single_product', 'woocommerce_output_all_notices', 10 );

remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_sale_flash', 10 );
remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_images', 20 );
remove_action( 'woocommerce_product_thumbnails', 'woocommerce_show_product_thumbnails', 20 );

remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_title', 5 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_rating', 10 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20 );

remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 30 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 40 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_sharing', 50 );
remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_product_data_tabs', 10 );


add_action( 'geeks_single_product_output_notice', 'woocommerce_output_all_notices', 10 );

add_action( 'woocommerce_before_single_product', 'geeks_single_product_page_header', 5 );
add_action( 'woocommerce_before_single_product_summary', 'geeks_wc_product_content_wrap_start', 1 );
add_action( 'woocommerce_before_single_product_summary', 'geeks_wc_product_left_column_content', 10 );

add_action( 'woocommerce_before_single_product_summary', 'geeks_wc_product_right_column_wrap_start', 10 );
add_action( 'woocommerce_before_single_product_summary', 'geeks_wc_product_right_column_content', 20 );
add_action( 'geeks_wc_product_after_summary', 'woocommerce_template_single_meta', 10 );
add_action( 'woocommerce_before_single_product_summary', 'geeks_wc_product_right_column_wrap_end', 100 );

add_action( 'woocommerce_after_single_product_summary', 'geeks_wc_product_content_wrap_end', 20 );
add_filter( 'woocommerce_output_related_products_args', 'geeks_output_related_products_args' );


add_action( 'geeks_wc_product_images', 'geeks_wc_show_product_images', 10 );
add_action( 'geeks_wc_product_summary', 'woocommerce_template_single_price', 10 );
add_action( 'geeks_wc_product_summary', 'woocommerce_template_single_add_to_cart', 20 );

add_filter( 'woocommerce_get_availability_class', 'geeks_wc_get_availability_class', 10, 2 );

/**
 * Reviiew
 */

remove_action( 'woocommerce_review_before', 'woocommerce_review_display_gravatar', 10 );
remove_action( 'woocommerce_review_before_comment_meta', 'woocommerce_review_display_rating', 10 );
remove_action( 'woocommerce_review_meta', 'woocommerce_review_display_meta', 10 );
remove_action( 'woocommerce_review_comment_text', 'woocommerce_review_display_comment_text', 10 );

add_action( 'geeks_single_product_reviews_before', 'geeks_wc_reviews_overall' );
add_action( 'woocommerce_review_before_comment_text', 'geeks_wc_review_before' );

