<?php 

if ( ! function_exists( 'geeks_wpjm_job_listing_header_start' ) ) :
    /**
    * Function to display single job listing starting header
    */
    function geeks_wpjm_job_listing_header_start() { ?>
        <div class="row ">
            <div class="offset-xl-3 col-xl-6 offset-lg-2 col-lg-8 col-12">
                <div class="mb-5"><?php 
    }

endif;

if ( ! function_exists( 'geeks_wpjm_job_listing_title' ) ) :
    /**
    * Function to display single job listing title
    */
    function geeks_wpjm_job_listing_title() { ?>
        <div class="text-center mb-6">
            <h1 class="display-3 mb-4 fw-bold">
                <?php echo wpjm_the_job_title();?>
            </h1>
            <?php  echo the_job_location( false ); ?>
            <?php $types = wpjm_get_the_job_types(); ?>
            <?php if ( ! empty( $types ) ) : ?>
                <span class="text-muted">
                    <?php foreach ( $types as $type ) : ?>
                        <span class="<?php echo esc_attr( sanitize_title( $type->slug ) ); ?>"> (<?php echo esc_html( $type->name ); ?>)</span>
                    <?php endforeach; ?>
                </span>
            <?php endif; ?>
        </div><?php 
    }
endif;

if ( ! function_exists('geeks_wpjm_job_listing_content') ) :
    /**
    * Function to display single job listing description
    */
    function geeks_wpjm_job_listing_content( $post = null ) { 
        ?><?php the_content(); ?><?php
    }

endif;


if ( ! function_exists( 'geeks_wpjm_job_listing_header_end' ) ) 
    :
    /**
    * Function to display single job listing ending header
    */
    function geeks_wpjm_job_listing_header_end() { ?>
            </div>
        </div>
    </div>
    <?php }

endif;


function geeks_wpjm_job_listing_form() {
    if ( candidates_can_apply() && get_the_job_application_method () ) : 
    ?>
    <div class="mt-8 mb-12">
        <div class="card bg-light shadow-none">
            <div class="card-body p-md-8">
                <h3 class="mb-4"><?php echo esc_html__( 'Apply for this Job', 'geeks' ); ?> </h3>
                <?php geeks_wpjm_job_listing_formapply(); ?> 
            </div>
        </div>
    </div><?php
    endif;
}

function geeks_wpjm_job_listing_formapply() { 
    if ( candidates_can_apply() ) : 
        get_job_manager_template( 'job-application.php' ); 
    endif; 
}


if ( ! function_exists( 'geeks_wpjm_listings_custom_filter_text' ) ) {
    function geeks_wpjm_listings_custom_filter_text( $message ) {
        if ( ! empty( $message ) ) {
            $message = '<span class="h4 d-block mb-1">' . esc_html__( 'Search Results', 'geeks' ) . '</span><span class="message font-size-sm text-muted mb-0">' . $message . '</span>';
        }

        return $message;
    }
}

if ( ! function_exists( 'geeks_wpjm_filters_wrap_start' ) ) {
    function geeks_wpjm_filters_wrap_start() {
        ?><div class="mb-7 mb-md-9"><?php
    }
}

if ( ! function_exists( 'geeks_wpjm_filters_wrap_end' ) ) {
    function geeks_wpjm_filters_wrap_end() {
        ?></div><?php
    }
}


