<?php
/**
 * Job listing in the loop.
 *
 * This template can be overridden by copying it to yourtheme/job_manager/content-job_listing.php.
 *
 * @see         https://wpjobmanager.com/document/template-overrides/
 * @author      Automattic
 * @package     wp-job-manager
 * @category    Template
 * @since       1.0.0
 * @version     1.34.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

global $post;

if ( ! get_option( 'job_manager_enable_categories' ) ) {
	$show_categories = false;
} else {
	$show_categories = true;
}

?>
<tr <?php job_listing_class( 'geeks-job' ); ?> data-longitude="<?php echo esc_attr( $post->geolocation_long ); ?>" data-latitude="<?php echo esc_attr( $post->geolocation_lat ); ?>">
	<td>
		<a href="<?php the_job_permalink(); ?>" class="text-link bg-color-transparent p-0">
			<?php wpjm_the_job_title(); ?>
		</a>
	</td>
	<td>
		<span class="text-gray-700"><?php the_job_location( false ); ?></span>
		<?php if ( get_option( 'job_manager_enable_types' ) ) { ?>
			<?php $types = wpjm_get_the_job_types(); ?>
			<?php if ( ! empty( $types ) ) : ?>
			<span class="text-muted">
			<?php foreach ( $types as $type ) : ?>
				<span class="<?php echo esc_attr( sanitize_title( $type->slug ) ); ?>"> (<?php echo esc_html( $type->name ); ?>)</span>
			<?php endforeach; ?>
			</span>
			<?php endif; ?>
		<?php } ?>
	</td>
	<td class="text-end"><a href="<?php the_job_permalink(); ?>" class="text-link bg-color-transparent text-muted p-0"><i class="fe fe-chevron-right "></i></a></td>
</tr>
