<?php
/**
 * Template for displaying rating stars.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/addons/course-review/rating-stars.php.
 *
 * @author  ThimPress
 * @package LearnPress/Course-Review/Templates
 * version  3.0.6
 */

// Prevent loading this file directly
defined( 'ABSPATH' ) || exit;

$percent = ( ! isset( $rated ) ) ? 0 : min( 100, ( round( $rated * 2 ) / 2 ) * 20 );
$title   = sprintf( esc_html__( '%s out of 5 stars', 'geeks' ), round( $rated, 2 ) );

?>
<span title="<?php echo esc_attr( $title ); ?>"><?php 
	for ( $i = 0; $i < 5; $i ++ ) {
		$diff = $rated - $i;

		if ( $i == 4 ) {
			$add_class = 'me-n1-half';
		} else {
			$add_class = 'me-n1';
		}
	
	if ( $diff >= 1 ) : ?>
		<i class="mdi mdi-star <?php echo esc_attr( $add_class ); ?> text-warning <?php echo esc_attr( $diff ); ?>"></i>
	<?php elseif ( $diff > 0 && $diff < 0.75 ) : ?>
		<i class="mdi mdi-star-half-full <?php echo esc_attr( $add_class ); ?> text-warning <?php echo esc_attr( $diff ); ?>"></i>
	<?php else: ?>
		<i class="mdi mdi-star <?php echo esc_attr( $add_class ); ?> text-gray <?php echo esc_attr( $diff ); ?>"></i>
	<?php endif; ?><?php 
	} 
?></span>