<?php
/**
 * Template for displaying review form.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/addons/course-review/review-form.php.
 *
 * @author ThimPress
 * @package LearnPress/Course-Review/Templates
 * version  3.0.1
 */

// Prevent loading this file directly
defined( 'ABSPATH' ) || exit;
?>
<button class="btn btn-primary write-a-review"><?php esc_html_e( 'Write a review', 'geeks' ); ?></button>
<div class="course-review-wrapper modal" id="course-review">
    <div class="review-overlay"></div>

    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header align-items-center d-flex">
                <h4 class="modal-title mb-0">
    				<?php esc_html_e( 'Write a review', 'geeks' ); ?>
                </h4>

                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><i class="fe fe-x-circle"></i></span>
                </button>
                
            </div>

            <div class="modal-body">
                <form>
                    <div class="review-form mt-0 p-0 w-100" id="review-form">
                        <ul class="review-fields list-unstyled">
            				<?php do_action( 'learn_press_before_review_fields' ); ?>
                            <li class="form-group mb-3">
                                <label class="col-form-label mb-0 pt-0"><?php esc_html_e( 'Rating', 'geeks' ); ?><span class="required">*</span></label>
                                <ul class="review-stars list-unstyled d-flex">
                                    <?php for ( $i = 1; $i <= 5; $i ++ ) { ?>
                                        <li class="review-title" title="<?php echo esc_attr( $i ); ?>">
                                            <span class="dashicons dashicons-star-empty"></span></li>
                                    <?php } ?>
                                </ul>
                            </li>
                            <li class="form-group mb-3">
                                <label class="col-form-label mb-0"><?php esc_html_e( 'Title', 'geeks' ); ?> <span class="required">*</span></label>
                                <input class="form-control" type="text" name="review_title"/>
                            </li>
                            <li class="form-group mb-3">
                                <label class="col-form-label mb-0"><?php esc_html_e( 'Content', 'geeks' ); ?><span class="required">*</span></label>
                                <textarea class="form-control" name="review_content"></textarea>
                            </li>
                            
            				<?php do_action( 'learn_press_after_review_fields' ); ?>
                            <li class="review-actions">
                                <span class="ajaxload"></span>
                                <span class="error"></span>
                                <?php wp_nonce_field( 'learn_press_course_review_' . get_the_ID(), 'review-nonce' ); ?>
                                <input type="hidden" name="rating" value="0">
                                <input type="hidden" name="lp-ajax" value="add_review">
                                <input type="hidden" name="comment_post_ID" value="<?php echo get_the_ID(); ?>">
                            </li>
                        </ul>
                    </div>
                </form>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal"><?php echo esc_html__( 'Cancel', 'geeks' ); ?></button>
                <button type="button" class="btn btn-primary submit-review"><?php echo esc_html__( 'Add review', 'geeks' ); ?></button>
            </div>
        </div>
    </div>
</div>
