<?php
/**
 * Template for displaying Stripe payment form.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/addons/stripe-payment/form.php.
 *
 * @author   ThimPress
 * @package  LearnPress/Stripe/Templates
 * @version  4.0.0
 */

defined( 'ABSPATH' ) || exit();

$required_html = '<span class="required">*</span>';
?>

<?php $settings = LP()->settings(); ?>

<p><?php echo wp_kses_post( $this->get_description() ); ?></p>

<div id="learn-press-stripe-form" class="row p-0 border-0 bg-transparent mb-2">
	<div class="learn-press-form-row mb-3 col-12">
		<label class="form-label"><?php echo wp_kses( sprintf( esc_html__( 'Card Number %s', 'geeks' ), $required ), array( 'span' => array() ) ); ?></label>
		<input type="text" class="form-control" name="learn-press-stripe[card_number]" id="learn-press-stripe-payment-card-number" maxlength="19" value="" autocomplete="cc-number" placeholder="•••• •••• •••• ••••"/>
	</div>

	<div class="learn-press-form-row mb-3 col-12 col-md-4">
		<label class="form-label"><?php echo wp_kses( sprintf( esc_html__( 'Expiry Month %s', 'geeks' ), $required ), array( 'span' => array() ) ); ?></label>
		<select class="learn-press-stripe-expiry selectpicker" name="learn-press-stripe[expiry_month]" data-width="100%">
			<option value=01>01</option>
			<option value=02>02</option>
			<option value=03>03</option>
			<option value=04>04</option>
			<option value=05>05</option>
			<option value=06>06</option>
			<option value=07>07</option>
			<option value=08>08</option>
			<option value=09>09</option>
			<option value=10>10</option>
			<option value=11>11</option>
			<option value=12>12</option>
		</select>
	</div>

	<div class="learn-press-form-row mb-3 col-12 col-md-4">
		<label class="form-label"><?php echo wp_kses( sprintf( esc_html__( 'Expiry Year %s', 'geeks' ), $required ), array( 'span' => array() ) ); ?></label>
		<select class="learn-press-stripe-expiry selectpicker" name="learn-press-stripe[expiry_year]" data-width="100%">
			<?php for ( $a = (int) gmdate( 'Y', time() ), $b = $a + 10, $i = $a; $i < $b; $i ++ ) { ?>
				<option value="<?php echo esc_attr( $i ); ?>"><?php echo esc_html( $i ); ?></option>
			<?php } ?>
		</select>
	</div>
	<p class="learn-press-form-row mb-3 col-12 col-md-4">
		<label class="form-label"><?php echo wp_kses( sprintf( esc_html__( 'Card Code %s', 'geeks' ), $required ), array( 'span' => array() ) ); ?></label>
		<input type="text" class="form-control" name="learn-press-stripe[card_code]" id="learn-press-stripe-payment-card-code" value="" placeholder="•••"/>
	</p>
</div>

<?php if ( $settings->get( 'stripe.test_mode' ) == 'yes' ) { ?>
	<?php learn_press_display_message( esc_html__( 'Test mode is enabled. You can use the card number 4242424242424242 with any CVC and a valid expiration date for testing purpose.', 'geeks' ), 'error' ); ?>
<?php } ?>
