<?php
/**
 * Template for displaying button to toggle course wishlist on/off.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/addons/wishlist/button.php.
 *
 * @author ThimPress
 * @package LearnPress/Wishlist/Templates
 * @version 3.0.1
 */

// Prevent loading this file directly
defined( 'ABSPATH'  ) || exit;
if ( ! isset( $classes ) || !isset( $course_id ) || !isset( $title ) || !isset( $state ) ) {
	return;
}

$single_version = geeks_get_single_course_version();

if ( 'v2' === $single_version ) {
	$classes[] = 'single-course-v2-wishlist bg-white border-0 p-0';
} else {
	$classes[] = 'btn btn-outline-primary learn-press-course-wishlist lp-button gray';
}

echo wp_kses( 
	sprintf(
		'<button class="learn-press-course-wishlist-button-%2$d wishlist-button %s" data-id="%s" data-nonce="%s" title="%s" data-text="%s">%s</button>',
		join( " ", $classes ),
		$course_id,
		wp_create_nonce( 'course-toggle-wishlist' ),
		$title,
		esc_attr__( 'Processing...', 'geeks' ),
		'on' === $state ? esc_html__( 'Remove from Wishlist', 'geeks' ) : esc_html__( 'Add to Wishlist', 'geeks' )
	), 
	array(
		'button' => array(
			'class'      => array(),
			'data-id'    => array(),
			'data-nonce' => array(),
			'title'      => array(),
			'data-text'  => array()
		)
	) 
);
