<?php
/**
 * Template for displaying content of archive courses page.
 *
 * @author  ThimPress
 * @package LearnPress/Templates
 * @version 4.0.0
 */

defined( 'ABSPATH' ) || exit;

//global $wp_query; pr( $wp_query ); exit;

/**
 * @since 4.0.0
 *
 * @see LP_Template_General::template_header()
 */
do_action( 'learn-press/template-header' );

/**
 * LP Hook
 */
do_action( 'learn-press/before-main-content' );

$page_title = learn_press_page_title( false );

if ( $page_title ) : 

?><header class="learn-press-courses-header bg-primary py-4 py-lg-6">
    <div class="container">
        <h1 class="mb-0 text-white display-4"><?php echo wp_kses_post( $page_title ); ?></h1><?php 
        
        do_action( 'lp/template/archive-course/description' ); 
        
    ?></div>
</header><?php 

endif;

do_action( 'geeks_after_courses_header' );

?><div class="py-6">
    <div class="container">
        <div class="row"><?php
            
            /**
             * LP Hook
             */
            do_action( 'learn-press/before-courses-loop' );

            $active = learn_press_get_courses_layout();

            $class_tp_grid = 'tab-pane fade pb-4';
            $class_tp_list = 'tab-pane fade pb-4';

            if ( 'grid' === $active ) {
                $class_tp_grid .= ' show active';
            }

            if ( 'list' === $active ) {
                $class_tp_list .= ' show active';
            }

            $list_view = '';
            
            ?><div class="courses__loop col-xl-9 col-lg-9 col-md-8 col-12 order-2">
                <?php if ( have_posts() ) : ?>
                <div class="tab-content">
                    <div class="<?php echo esc_attr( $class_tp_grid ); ?>" id="tab-pane-grid" role="tabpanel" aria-labelledby="tab-pane-grid">
                        <?php

                        LP()->template( 'course' )->begin_courses_loop();

                        while ( have_posts() ) :
                            the_post();

                            learn_press_get_template_part( 'content', 'course-grid-view' );

                            ob_start();
                            learn_press_get_template_part( 'content', 'course-list-view' );
                            $list_view .= ob_get_clean();                            

                        endwhile;

                        LP()->template( 'course' )->end_courses_loop();

                        ?>
                    </div>
                    <div class="<?php echo esc_attr( $class_tp_list ); ?>" id="tab-pane-list" role="tabpanel" aria-labelledby="tab-pane-list">
                        <?php echo wp_kses( $list_view, 'post-svg' ); ?>
                    </div>
                </div>
                <?php else: ?>
                <div class="col-12">
                    <div class="alert alert-warning"><?php esc_html_e( 'No courses found.', 'geeks' ); ?></div>
                </div>
                <?php endif; ?>
            </div><!-- /.courses__loop -->
            <?php

            /**
             * @since 3.0.0
             */
            //do_action( 'learn-press/after-courses-loop' );
            
            ?><div class="courses__sidebar col-xl-3 col-lg-3 col-md-4 col-12 mb-4 mb-lg-0 order-1"><?php
                
                do_action( 'geeks_courses_sidebar' );

                if ( class_exists( 'GKE_Widget_Courses_Filter' ) ) {
                    new GKE_Widget_Courses_Filter();
                }

                /**
                 * LP Hook
                 *
                 * @since 4.0.0
                 */
                do_action( 'learn-press/sidebar' );
            
            ?></div><!-- /.courses__sidebar -->
        </div><!-- /.row -->
    </div>
</div><?php

/**
 * LP Hook
 */
do_action( 'learn-press/after-main-content' );

/**
 * @since 4.0.0
 *
 * @see   LP_Template_General::template_footer()
 */
do_action( 'learn-press/template-footer' );