<?php
/**
 * Template for displaying logged in form.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/checkout/form-logged-in.php.
 *
 * @author   ThimPress
 * @package  Learnpress/Templates
 * @version  4.0.0
 */

defined( 'ABSPATH' ) || exit();

if ( ! is_user_logged_in() ) {
	return;
}

global $user_identity;
$user_link = '<a href="' . esc_url( get_edit_user_link() ) . '">' . $user_identity . '</a>';
?>

<div id="checkout-account-logged-in" class="lp-checkout-block left card card-body mb-4 mb-0-last-child">
	<p>
		<?php echo wp_kses_post( sprintf( esc_html__( 'Logged in as %s.', 'geeks' ), $user_link ) ); ?>

		<a href="<?php echo esc_url( wp_logout_url( get_permalink() ) ); ?>" title="<?php esc_attr_e( 'Log out of this account', 'geeks' ); ?>">
			<?php esc_html_e( 'Log out &raquo;', 'geeks' ); ?>
		</a>
	</p>
</div>
