<?php
/**
 * Template for displaying user email field which enable checkout as guest.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/checkout/guest-email.php.
 *
 * @author   ThimPress
 * @package  Learnpress/Templates
 * @version  4.0.0
 */

defined( 'ABSPATH' ) || exit();

$checkout  = LP()->checkout();
$is_exists = $checkout->checkout_email_exists();
$card_cls  = 'card lp-checkout-block';

if ( $is_exists ) {
	$card_cls = ' email-exists';
}

?>
<input type="radio" id="checkout-account-switch-to-guest" name="checkout-account-switch-form" value="guest" checked="checked"/>

<div id="checkout-account-guest" class="<?php echo esc_attr( $card_cls ); ?>">

	<div class="card-header">
		<h3 class="mb-0"><?php esc_html_e( 'As Guest', 'geeks' ); ?></h3>
	</div>

	<div class="card-body mb-4">

		<ul class="lp-form-fields">
			<li class="form-field">
				<input size="30" placeholder="<?php esc_attr_e( 'Enter your email...', 'geeks' ); ?>" type="text" id="guest_email" name="guest_email" autocomplete="off">
			</li>
		</ul>

		<div class="lp-guest-checkout-notice">
			<?php esc_html_e( 'An order key to activate the course will be sent to your email after the payment proceeded successfully.', 'geeks' ); ?>
		</div>

		<?php
		$signin = $signup = $divider = '';

		if ( LP()->checkout()->is_enable_login() ) {
			$signin = sprintf( '<a href="javascript:void(0)"><label for="checkout-account-switch-to-login">%s</label></a>', esc_html_x( 'Sign in', 'checkout sign in link', 'geeks' ) );
		}

		if ( LP()->checkout()->is_enable_login() && LP()->checkout()->is_enable_register() ) {
			$divider = ',';
		}

		if ( LP()->checkout()->is_enable_register() ) {
			$signup = sprintf( '<a href="javascript:void(0)"><label for="checkout-account-switch-to-register">%s</label></a>', esc_html_x( 'Sign up', 'checkout sign up link', 'geeks' ) );
		}
		?>

		<?php if ( LP()->checkout()->is_enable_login() || LP()->checkout()->is_enable_register() ) : ?>
			<div class="lp-guest-switch-login"><?php echo wp_kses_post( sprintf( esc_html__( 'Or you can %1$s%2$s %3$s now.', 'geeks' ), $signin, $divider, $signup ) ); ?></div>
		<?php endif; ?>
				
		<input type="hidden" name="learn-press-checkout-nonce" value="<?php echo esc_attr( wp_create_nonce( 'learn-press-guest-checkout' ) ); ?>"/>
	</div>
</div>