<?php
/**
 * Template for displaying single method payment in checkout form.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/checkout/payment-method.php.
 *
 * @author   ThimPress
 * @package  Learnpress/Templates
 * @version  4.0.0
 */

defined( 'ABSPATH' ) || exit();

if ( ! isset( $gateway ) || ! $gateway->is_display() ) {
	return;
}

$icon 		= $gateway->get_icon();
$pm_classes = 'collapse lp-payment-method lp-payment-method-' . $gateway->id;

if ( $gateway->is_selected ) {
	$pm_classes .= ' selected show';
}

$payment_form = $gateway->get_payment_form();

?>
<li id="learn-press-payment-method-<?php echo esc_attr( $gateway->id ); ?>" class="<?php echo esc_attr( $pm_classes ); ?>" data-bs-parent="#geeks__payment-methods">
	<input type="radio" class="gateway-input sr-only" name="payment_method" id="payment_method_<?php echo esc_attr( $gateway->id ); ?>" value="<?php echo esc_attr( $gateway->id ); ?>" <?php checked( $gateway->is_selected, true ); ?> data-order_button_text="<?php echo esc_attr( $gateway->order_button_text ); ?>">
	<?php if ( $payment_form ) : ?>
	<div class="bg-light card-body mb-0-last-child payment-method-form payment_method_<?php echo esc_attr( $gateway->id ); ?>">
		<?php echo apply_filters( 'geeks_lp_payment_form', $payment_form ); ?>
	</div>
	<?php endif; ?>
</li>
