<?php
/**
 * Template for displaying payment form for checkout page.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/checkout/term-conditions.php.
 *
 * @author   ThimPress
 * @package  Learnpress/Templates
 * @version  4.0.0
 */

defined( 'ABSPATH' ) || exit();

$term_link = learn_press_get_page_link( 'term_conditions' );
$term_text = learn_press_get_page_title( 'term_conditions' );

if ( ! $term_link ) {
	return;
}

if ( ! $term_text ) {
	$term_text = esc_html__( 'Terms of Service', 'geeks' );
}

$term_a = '<a href="' . esc_url( $term_link ) . '" target="_blank">' . $term_text . '</a>';
?>

<p class="lp-terms-and-conditions mb-0 small">
	<?php
	echo wp_kses_post( apply_filters(
		'learn_press_content_item_protected_message',
		sprintf( esc_html__( 'By completing your purchase you agree to those %s.', 'geeks' ), $term_a )
	) );
	?>
</p>
