<?php
/**
 * Template for displaying template of login form.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/global/form-login.php.
 *
 * @author  ThimPress
 * @package  Learnpress/Templates
 * @version  4.0.0
 */

defined( 'ABSPATH' ) || exit();
?>
<div id="view-login" class="view card shadow" data-view-default>
	<div class="learn-press-form-login learn-press-form card-body p-6">
		<div class="mb-4">
			<?php geeks_profile_form_branding(); ?>
			<h3 class="mb-1 fw-bold h1"><?php echo esc_html_x( 'Sign in', 'login-heading', 'geeks' ); ?></h3>
			<?php do_action( 'learn-press/before-form-login' ); ?>
		</div>

		<form name="learn-press-login" method="post">

			<?php do_action( 'learn-press/before-form-login-fields' ); ?>

			<ul class="form-fields list-unstyled">
				<li class="form-field mb-3">
					<label class="form-label" for="username"><?php esc_html_e( 'Username or email', 'geeks' ); ?>&nbsp;<span class="required">*</span></label>
					<input class="form-control" type="text" name="username" id="username" placeholder="<?php esc_attr_e( 'Email or username', 'geeks' ); ?>" autocomplete="username" />
				</li>
				<li class="form-field mb-3">
					<label class="form-label" for="password"><?php esc_html_e( 'Password', 'geeks' ); ?>&nbsp;<span class="required">*</span></label>
					<input class="form-control" type="password" name="password" id="password" placeholder="<?php esc_attr_e( 'Password', 'geeks' ); ?>" autocomplete="current-password" />
				</li>
			</ul>

			<?php do_action( 'learn-press/after-form-login-fields' ); ?>
			
			<div class="d-lg-flex justify-content-between align-items-center mb-4">
				<p class="form-check m-0">
					<input type="checkbox" id="rememberme" class="form-check-input" name="rememberme"/>
					<label class="form-check-label" for="rememberme"><?php esc_html_e( 'Remember me', 'geeks' ); ?></label>
				</p>
				<p class="m-0"><a href="#view-lost-password" data-view="#view-lost-password"><?php esc_html_e( 'Lost your password?', 'geeks' ); ?></a></p>
			</div>
			<div class="d-grid">
				<input type="hidden" name="learn-press-login-nonce" value="<?php echo wp_create_nonce( 'learn-press-login' ); ?>">
				<button type="submit" class="btn btn-primary"><?php esc_html_e( 'Sign in', 'geeks' ); ?></button>
			</div>
		
		</form>

		<?php do_action( 'learn-press/after-form-login' ); ?>

	</div><!-- /.card-body -->
</div><!-- /.card -->