<?php
/**
 * Template for displaying global login form.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/global/form-register.php.
 *
 * @author   ThimPress
 * @package  Learnpress/Templates
 * @version  4.0.0
 */

defined( 'ABSPATH' ) || exit();
?>
<div id="view-register" class="view card shadow">
	<div class="card-body p-6 learn-press-form-register learn-press-form">

		<div class="mb-4">
			<?php geeks_profile_form_branding(); ?>
			<h3 class="h1 mb-1 fw-bold"><?php echo esc_html_x( 'Register', 'register-heading', 'geeks' ); ?></h3>
			<?php do_action( 'learn-press/before-form-register' ); ?>
		</div>

		<form name="learn-press-register" method="post">

			<ul class="form-fields list-unstyled">

				<?php do_action( 'learn-press/before-form-register-fields' ); ?>

				<li class="form-field mb-3">
					<label class="form-label" for="reg_email"><?php esc_html_e( 'Email address', 'geeks' ); ?>&nbsp;<span class="required">*</span></label>
					<input class="form-control" id="reg_email" name="reg_email" type="text" placeholder="<?php esc_attr_e( 'Email', 'geeks' ); ?>" autocomplete="email" value="<?php echo ( ! empty( $_POST['reg_email'] ) ) ? esc_attr( wp_unslash( $_POST['reg_email'] ) ) : ''; ?>">
				</li>
				<li class="form-field mb-3">
					<label class="form-label" for="reg_username"><?php esc_html_e( 'Username', 'geeks' ); ?>&nbsp;<span class="required">*</span></label>
					<input class="form-control" id="reg_username" name="reg_username" type="text" placeholder="<?php esc_attr_e( 'Username', 'geeks' ); ?>" autocomplete="username" value="<?php echo ( ! empty( $_POST['reg_username'] ) ) ? esc_attr( wp_unslash( $_POST['reg_username'] ) ) : ''; ?>">
				</li>
				<li class="form-field mb-3">
					<label class="form-label" for="reg_password"><?php esc_html_e( 'Password', 'geeks' ); ?>&nbsp;<span class="required">*</span></label>
					<input class="form-control" id="reg_password" name="reg_password" type="password" placeholder="<?php esc_attr_e( 'Password', 'geeks' ); ?>" autocomplete="new-password">
				</li>
				<li class="form-field mb-3">
					<label class="form-label" for="reg_password2"><?php esc_html_e( 'Confirm Password', 'geeks' ); ?>&nbsp;<span class="required">*</span></label>
					<input class="form-control" id="reg_password2" name="reg_password2" type="password" placeholder="<?php esc_attr_e( 'Password', 'geeks' ); ?>" autocomplete="off">
				</li>

				<?php do_action( 'learn-press/after-form-register-fields' ); ?>
			</ul>

			<?php do_action( 'register_form' ); ?>

			<div>
				<div class="d-grid">
					<?php wp_nonce_field( 'learn-press-register', 'learn-press-register-nonce' ); ?>
					<button type="submit" class="btn btn-primary"><?php esc_html_e( 'Register', 'geeks' ); ?></button>
				</div>
			</div>

		</form>

		<?php do_action( 'learn-press/after-form-register' ); ?>

	</div><!-- /.card-body -->
</div><!-- /.card -->