<?php
/**
 * Template for displaying general statistic in user profile overview.
 *
 * @author  ThimPress
 * @package LearnPress/Templates
 * @version 4.0.0
 */

defined( 'ABSPATH' ) || exit;

if ( empty( $statistic ) ) {
	return;
}

$user = LP_Profile::instance()->get_user();
?>

<div id="dashboard-general-statistic">

	<?php do_action( 'learn-press/before-profile-dashboard-general-statistic-row' ); ?>

	<div class="dashboard-general-statistic__row row row-cols-lg-3 row-cols-md-1 row-cols-1">

		<?php do_action( 'learn-press/before-profile-dashboard-user-general-statistic' ); ?>

		<div class="col">
			<div class="statistic-box card mb-4">
				<div class="p-4">
					<span class="statistic-box__text fs-6 text-uppercase fw-semi-bold"><?php esc_html_e( 'Enrolled Courses', 'geeks' ); ?></span>
					<h2 class="statistic-box__number mt-4 fw-bold mb-1 d-flex align-items-center h1 lh-1"><?php echo esc_html( $statistic['enrolled_courses'] ); ?></h2>
				</div>
			</div>
		</div>
		<div class="col">
			<div class="statistic-box card mb-4">
				<div class="p-4">
					<span class="statistic-box__text fs-6 text-uppercase fw-semi-bold"><?php esc_html_e( 'Active Courses', 'geeks' ); ?></span>
					<h2 class="statistic-box__number mt-4 fw-bold mb-1 d-flex align-items-center h1 lh-1"><?php echo esc_html( $statistic['active_courses'] ); ?></h2>
				</div>
			</div>
		</div>
		<div class="col">
			<div class="statistic-box card mb-4">
				<div class="p-4">
					<span class="statistic-box__text fs-6 text-uppercase fw-semi-bold"><?php esc_html_e( 'Completed Courses', 'geeks' ); ?></span>
					<h2 class="statistic-box__number mt-4 fw-bold mb-1 d-flex align-items-center h1 lh-1"><?php echo esc_html( $statistic['completed_courses'] ); ?></h2>
				</div>
			</div>
		</div>

		<?php do_action( 'learn-press/after-profile-dashboard-user-general-statistic' ); ?>

	<?php do_action( 'learn-press/profile-dashboard-general-statistic-row' ); ?>

	<?php if ( $user->can_create_course() ) : ?>

		<?php do_action( 'learn-press/before-profile-dashboard-instructor-general-statistic' ); ?>
		
		<div class="col">
			<div class="statistic-box card mb-4">
				<div class="p-4">
					<span class="statistic-box__text fs-6 text-uppercase fw-semi-bold"><?php esc_html_e( 'Total Courses', 'geeks' ); ?></span>
					<h2 class="statistic-box__number mt-4 fw-bold mb-1 d-flex align-items-center h1 lh-1"><?php echo esc_html( $statistic['total_courses'] ); ?></h2>
				</div>
			</div>
		</div>
		<div class="col">
			<div class="statistic-box card mb-4">
			<div class="p-4">
				<span class="statistic-box__text fs-6 text-uppercase fw-semi-bold"><?php esc_html_e( 'Total Students', 'geeks' ); ?></span>
				<h2 class="statistic-box__number mt-4 fw-bold mb-1 d-flex align-items-center h1 lh-1"><?php echo esc_html( $statistic['total_users'] ); ?></h2>
			</div>
		</div>

		<?php do_action( 'learn-press/after-profile-dashboard-instructor-general-statistic' ); ?>

	<?php endif; ?>

	</div>

	<?php do_action( 'learn-press/after-profile-dashboard-general-statistic-row' ); ?>

</div>
