<?php
/**
 * Template for displaying change password form in profile page.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/settings/tabs/change-password.php.
 *
 * @author   ThimPress
 * @package  Learnpress/Templates
 * @version  3.0.0
 */

defined( 'ABSPATH' ) || exit();

$profile = LP_Profile::instance();

if ( ! isset( $section ) ) {
	$section = 'change-password';
}
?>
<div class="card">
	<div class="card-header">
		<h3 class="mb-0"><?php esc_html_e( 'Change Password', 'geeks' ); ?></h3>
		<p class="mb-0"><?php esc_html_e( 'Use this form to change your account password.', 'geeks' ); ?></p>
	</div>
	<div class="card-body">
		<form method="post" name="profile-change-password" enctype="multipart/form-data" class="learn-press-form">

			<?php do_action( 'learn-press/before-profile-change-password-fields', $profile ); ?>

			<ul class="form-fields list-unstyled mb-5">

				<?php do_action( 'learn-press/begin-profile-change-password-fields', $profile ); ?>

				<li class="form-field">
					<label for="pass0"><?php esc_html_e( 'Current password', 'geeks' ); ?></label>
					<div class="form-field-input">
						<input type="password" id="pass0" name="pass0" autocomplete="off" class="regular-text"/>
					</div>
				</li>
				<li class="form-field">
					<label for="pass1"><?php esc_html_e( 'New password', 'geeks' ); ?></label>
					<div class="form-field-input">
						<input type="password" name="pass1" id="pass1" class="regular-text" value=""/>
					</div>
				</li>
				<li class="form-field">
					<label for="pass2"><?php esc_html_e( 'Confirm new password', 'geeks' ); ?></label>
					<div class="form-field-input">
						<input name="pass2" type="password" id="pass2" class="regular-text" value=""/>
						<p id="lp-password-not-match" class="description lp-field-error-message hide-if-js"><?php esc_html_e( 'New password does not match!', 'geeks' ); ?></p>
					</div>
				</li>

				<?php do_action( 'learn-press/end-profile-change-password-fields', $profile ); ?>

			</ul>

			<?php do_action( 'learn-press/after-profile-change-password-fields', $profile ); ?>

			<p>
				<input type="hidden" name="save-profile-password" value="<?php echo wp_create_nonce( 'learn-press-save-profile-password' ); ?>">
			</p>

			<button type="submit" class="btn btn-primary" name="submit" id="submit"><?php esc_html_e( 'Save changes', 'geeks' ); ?></button>

		</form>
	</div>
</div>