<?php
/**
 * Template for displaying featured review.
 *
 * @author  ThimPress
 * @package LearnPress/Templates
 * @version 4.0.0
 */

defined( 'ABSPATH' ) || exit;

if ( ! apply_filters( 'geeks_enable_single_course_featured_review', false ) || ! isset( $review_content ) ) {
	return;
}
?>

<div class="course-featured-review margin-bottom card mb-4">
	<div class="card-header">
		<h4 class="featured-review__title mb-0"><?php echo esc_html__( 'Featured Review', 'geeks' ); ?></h4>
	</div>
	<div class="card-body">
		<div class="featured-review__stars mb-2">
			<span class="fs-4">
				<i class="mdi mdi-star me-n1 text-warning"></i>
				<i class="mdi mdi-star me-n1 text-warning"></i>
				<i class="mdi mdi-star me-n1 text-warning"></i>
				<i class="mdi mdi-star me-n1 text-warning"></i>
				<i class="mdi mdi-star me-n1 text-warning"></i>
			</span>
		</div>
		<div class="featured-review__content mb-n3 fst-italic">
			<?php echo wp_kses_post( wpautop( $review_content ) ); ?>
		</div>
	</div>
</div>
