<?php
/**
 * Template for displaying curriculum tab of single course.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/single-course/tabs/curriculum.php.
 *
 * @author  ThimPress
 * @package  Learnpress/Templates
 * @version  4.0.0
 */

defined( 'ABSPATH' ) || exit();

$course      = LP_Global::course();
$user        = learn_press_get_current_user();
$course_item = LP_Global::course_item();

if ( ! $course || ! $user ) {
	return;
}

$can_view_content_course = $user->can_view_content_course( $course->get_id() );
$single_version = geeks_get_single_course_version();
$curriculum = $course->get_curriculum();

?>

<div class="course-curriculum <?php if ( 'v2' === $single_version && ! $curriculum ):?>card-body<?php endif;?>" id="learn-press-course-curriculum">
	<div class="curriculum-scrollable">

		<?php do_action( 'learn-press/before-single-course-curriculum' ); ?>

		<?php
		if ( $curriculum ) :
			?>
			<ul class="curriculum-sections list-group list-group-flush<?php if ( $course_item ) : ?> course-list<?php endif; ?><?php if ( 'v2' === $single_version ):?> rounded-3 style-v2<?php endif;?>">
				<?php if ( $course_item ) : ?>
				<li class="list-group-item"><h4 class="mb-0"><?php echo esc_html__( 'Table of Contents', 'geeks' ); ?></h4></li>						
				<?php endif; ?>
				<?php
				foreach ( $curriculum as $section ) {
					$args = array(
						'section'                 => $section,
						'can_view_content_course' => $can_view_content_course,
					);

					learn_press_get_template( 'single-course/loop-section.php', $args );
				}
				?>
			</ul>

		<?php else : ?>
			<?php
			echo wp_kses_post(
				apply_filters(
					'learnpress/course/curriculum/empty',
					esc_html__( 'Curriculum is empty', 'geeks' )
				)
			);
			?>
		<?php endif ?>

		<?php do_action( 'learn-press/after-single-course-curriculum' ); ?>

	</div>
</div>
