<?php
/**
 * Template for displaying FAQs tab of single course.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/single-course/tabs/faqs.php.
 *
 * @author   ThimPress
 * @package  Learnpress/Templates
 * @version  3.0.0
 */

defined( 'ABSPATH' ) || exit();

$unique_key = uniqid();
$id         = sanitize_key( $unique_key );

if ( $question && $answer ) : ?>
<div class="mb-4">
	<h4 class="course-faqs-box__title" id="heading-<?php echo esc_attr( $id ); ?>">
		<a href="#collapse-<?php echo esc_attr( $id ); ?>" class="d-flex align-items-center text-inherit text-decoration-none collapsed" data-bs-toggle="collapse" data-bs-target="#collapse-<?php echo esc_attr( $id ); ?>" aria-expanded="false" aria-controls="collapse-<?php echo esc_attr( $id ); ?>">
			<span class="me-auto"><?php echo esc_html( $question ); ?></span>
			<span class="collapse-toggle ms-4"><i class="fe fe-plus text-primary"></i></span>
		</a>
	</h4>
	<div id="collapse-<?php echo esc_attr( $id ); ?>" class="collapse" aria-labelledby="heading-<?php echo esc_attr( $id ); ?>"><?php echo wp_kses_post( $answer ); ?></div>
</div>
<?php endif ?>
