<?php
/**
 * Instructor Grid View
 */

?>
<div class="card mb-4 ">
	<!-- Card body -->
	<div class="card-body">
		<div class="text-center">
			<?php echo wp_kses_post( get_avatar( $user_id, 80, '', '', array( 'class' => 'rounded-circle avatar-xl mb-3' ) ) ); ?>
			<h4 class="mb-0"><?php echo esc_html( get_the_author_meta( 'display_name', $user_id ) ); ?></h4>
			<?php if ( isset( $byline ) ) : ?>
			<p class="mb-0 fs-6 text-muted"><?php echo esc_html( $byline ); ?></p>
			<?php endif; ?>
		</div>

		<?php

		foreach ( $grid_stats as $key => $stat ) :
			$wrap_class = 'd-flex justify-content-between';

			if ( $key === array_key_first( $grid_stats ) ) {
				$wrap_class .= ' py-2 mt-4';
			} elseif ( $key === array_key_last( $grid_stats ) ) {
				$wrap_class .= ' pt-2';
			} else {
				$wrap_class .= ' py-2';
			}

		?>
		<div class="<?php echo esc_attr( $wrap_class ); ?>">
			<span><?php echo esc_html( $stat['label'] ); ?></span>
			<?php echo wp_kses_post( $stat['value_html'] ); ?>
		</div>

	</div>
</div>
