<?php
/**
 * Instructor list view.
 */

if ( ! defined ( 'ABSPATH' ) ) {
	exit;
}

?>
<div class="card mb-4">
	<!-- Card body -->
	<div class="card-body position-relative">
		<div class="d-lg-flex">
			<div class="position-relative">
				<?php echo wp_kses_post( get_avatar( $user_id, 80, '', '', array( 'class' => 'mw-none rounded-circle avatar-xl mb-3 mb-lg-0' ) ) ); ?>
				<?php if ( isset ( $is_verified ) && $is_verified ) : ?>
				<a href="#!" class="position-absolute mt-2 ms-n3" data-toggle="tooltip" data-placement="top" data-original-title="<?php echo esc_attr( 'Verifed', 'geeks' ); ?>">
					<img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/svg/checked-mark.svg" alt="" height="30" width="30">
				</a>
				<?php endif; ?>
			</div>
			<div class="ms-lg-4">
				<h4 class="mb-0"><?php echo esc_html( get_the_author_meta( 'display_name', $user_id ) ); ?></h4>
				
				<?php if ( isset( $byline ) ) : ?>
				<p class="mb-0 fs-6"><?php echo esc_html( $byline ); ?></p>
				<?php endif; ?>
				
				<?php if ( isset( $rating ) && 0 < $rating ) : ?>
				<p class="fs-6 mb-1 text-warning"><span><?php echo esc_html( $rating ); ?></span><span class="mdi mdi-star text-warning me-2"></span><?php echo esc_html__( 'Instructor Rating', 'geeks' ); ?></p>
				<?php endif; ?>
				
				<?php if ( isset( $list_stats ) ) : ?>
				<p class="fs-6 text-muted">
					<?php foreach ( $list_stats as $stat ) : ?>
					<span class="me-2"><span class="text-dark fw-medium"><?php echo esc_html( $stat['value'] ); ?></span> <?php echo esc_html( $stat['label'] ); ?></span>
					<?php endforeach; ?>
				</p>
				<?php endif; ?>
				
				<?php if ( isset( $bio ) ) : ?>
				<p><?php echo esc_html( $bio ); ?></p>
				<?php endif; ?>
				
				<?php if ( isset( $profile_url ) ) : ?>
				<div class="mt-3">
					<a href="<?php echo esc_url( $profile_url ); ?>" class="stretched-link btn btn-outline-white btn-sm"><?php esc_html_e( 'View Details', 'geeks' ); ?></a>
				</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>