<?php
/**
 * Profile Header used in Dashboard and my account pages
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! isset( $user_id ) ) {
	return;
}

?>
<div class="row align-items-center">
	<div class="col-xl-12 col-lg-12 col-md-12 col-12">
		<!-- Bg -->
		<div class="pt-16 rounded-top-md" style="
					background: url(<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/background/profile-bg.jpg) no-repeat;
					background-size: cover;
				"></div>
		<div class="d-flex align-items-end justify-content-between bg-white px-4 pt-2 pb-4 rounded-none rounded-bottom-md shadow-sm">
			<div class="d-flex align-items-center">
				<div class="me-2 position-relative d-flex justify-content-end align-items-end mt-n5">
					<?php echo get_avatar( $user_id, 72, '', '', array( 'class' => 'avatar-xl rounded-circle border border-4 border-white position-relative' ) ); ?>
					<?php if ( isset( $is_verified ) && $is_verified ) : ?>
					<a href="#" class="position-absolute top-0 end-0" data-bs-toggle="tooltip" data-placement="top" data-original-title="<?php esc_attr_e( 'Verified', 'geeks' ); ?>">
						<img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/svg/checked-mark.svg" alt="" height="30" width="30" />
					</a>
					<?php endif; ?>
				</div>
				<div class="lh-1">
					<h2 class="mb-0"><?php echo esc_html( get_the_author_meta( 'display_name', $user_id ) ); ?></h2>
					<p class="mb-0 d-block">@<?php echo esc_html( get_the_author_meta( 'user_nicename', $user_id ) ); ?></p>
				</div>
			</div>
			
			<div class="d-flex align-items-center">
				<?php do_action('tutor_dashboard/before_header_button'); ?>
				<?php if ( isset( $action_button ) && $action_button['url'] && $action_button['label'] && $action_button['id'] ) : ?>
				<a href="<?php echo esc_url( $action_button['url'] ); ?>" id="<?php echo esc_attr( $action_button['id'] ); ?>" class="btn btn-primary btn-sm d-none d-md-block"><?php echo esc_html( $action_button['label'] ); ?></a>
				<?php endif; ?>
			</div>
		</div>
	</div>
</div>