<!-- Card -->
<div class="accordion" id="curriculumAccordion">
	<div>
		<?php 
			$course_id   = get_the_ID();
			$is_enrolled = tutor_utils()->is_enrolled( $course_id );
			$topics      = tutor_utils()->get_topics();

		?>

		<ul class="list-group list-group-flush<?php if( $is_enrolled && is_user_logged_in() ):?> rounded-3<?php endif;?>">
			<?php 
			while( $topics->have_posts() ) :
				$topics->the_post();
				$list_group_item_classes = 'list-group-item px-0';

				if ( $topics->current_post + 1 === $topics->post_count ) {
					$list_group_item_classes .= ' pb-0';
				}

				if ( 0 === $topics->current_post ) {
					$list_group_item_classes .= ' pt-0';
				}

				if( is_user_logged_in() ) {
					if( $is_enrolled ) {
						$list_group_item_classes = 'list-group-item p-0';
					}
				}

				$topic_summery = get_the_content();


			?>
			<!-- List group -->
			
			<li class="<?php echo esc_attr( $list_group_item_classes ); ?>">
				<!-- Toggle -->
				<a class="h4 mb-0 d-flex align-items-center text-inherit text-decoration-none<?php if ( ! isset( $active ) ): ?> active<?php endif; ?><?php if( is_user_logged_in() && $is_enrolled ):?> py-3 px-4<?php endif;?>" data-bs-toggle="collapse" href="#course<?php echo esc_attr( get_the_ID() ); ?>" aria-expanded="<?php if ( ! isset( $active ) ): ?>true<?php else:?>false<?php endif; ?>" aria-controls="course<?php echo esc_attr( get_the_ID() ); ?>">
					<div class="me-auto">
						<?php the_title(); ?>
						<?php if ( ( is_user_logged_in() && $is_enrolled ) && $topic_summery ): ?>
							<div class="tooltip-wrap tooltip-icon">
								<p class="mb-0 text-muted fs-6 mt-1 fw-normal tooltip-txt tooltip-right"><?php echo esc_html( $topic_summery ); ?></p>
							</div>
						<?php endif; ?>
					</div>

					<!-- Chevron -->
					<span class="chevron-arrow ms-4">
						<i class="fe fe-chevron-down fs-4"></i>
					</span>

				</a>
				<!-- Row -->
				<?php 
				$lessons = tutor_utils()->get_course_contents_by_topic( get_the_ID(), -1 );
				?>
				<!-- Collapse -->
				<div class="collapse<?php if ( ! isset( $active ) ): ?> show<?php endif; $active = true; ?>" id="course<?php echo esc_attr( get_the_ID() ); ?>" data-bs-parent="#curriculumAccordion">
					<div class="<?php if( is_user_logged_in() && $is_enrolled ):?>p-0<?php else:?>pt-3 pb-2<?php endif;?>">

						<?php if ( $is_enrolled && is_user_logged_in() ):?>
							<ul class="list-group list-group-flush pb-1">
						<?php endif;?>

						<?php 
						while ( $lessons->have_posts() ) :
							$lessons->the_post();

							global $post;

							$lesson_class = 'd-flex justify-content-between align-items-center text-inherit text-decoration-none';
							$lesson_class .= ( is_user_logged_in() && $is_enrolled ) ? '' : ' mb-2';							
							
							$lesson_icon_bg_color  = 'text-primary';
							$is_course_purchasable = tutor_utils()->is_course_purchasable( $course_id );
							$is_course_public      = get_post_meta( $course_id, '_tutor_is_public_course', true );
							$play_time             = geeks_tutor_get_lesson_play_time();
							$lesson_icon           = geeks_tutor_get_lesson_icon( $post->post_type );
							$is_preview            = (bool) get_post_meta($post->ID, '_is_preview', true);
							$is_public_course 	    = \TUTOR\Course_List::is_public( $course_id );
							$is_locked 				= ! ( $is_enrolled || $is_preview || $is_public_course );

						
						if( $is_enrolled && is_user_logged_in() ):?>
							<li class="list-group-item">
						<?php endif; 
						
						if ( $is_enrolled || ( get_post_meta( $course_id, '_tutor_is_public_course', true ) == 'yes' && ! tutor_utils()->is_course_purchasable( $course_id ) ) ) { 
						?>
							<a href="<?php the_permalink(); ?>" class="<?php echo esc_attr( $lesson_class ); ?>">
								<div class="text-truncate">
									<span class="icon-shape bg-light icon-sm rounded-circle me-2 <?php echo esc_attr( $lesson_icon_bg_color );?>"><i class="fs-4 <?php echo esc_attr( $lesson_icon ); ?>"></i></span>
									<span><?php the_title(); ?></span>
								</div>
								<?php if ( $play_time ) : ?>
								<div class="text-truncate">
									<span><?php echo esc_html( geeks_get_duration_humanized( $play_time ) ); ?></span>
								</div>
								<?php endif; ?>
							</a>
							<?php
						} else { ?>
							<a href="<?php the_permalink(); ?>" class="d-flex mb-2 justify-content-between align-items-center text-inherit text-decoration-none disableClick">
								<div class="text-truncate">
									<span class="icon-shape bg-light icon-sm rounded-circle me-2 text-muted">
										<i class="<?php echo $is_locked ? 'fe fe-lock' : 'tutor-icon-eye-line'; ?>"></i></span>
									
									<span><?php the_title(); ?></span>
								</div>
								<?php if ( $play_time ) : ?>
								<div class="text-truncate">
									<span><?php echo esc_html( geeks_get_duration_humanized( $play_time ) ); ?></span>
								</div>
								<?php endif; ?>
							</a>
						<?php } 
							if( $is_enrolled && is_user_logged_in() ): ?>
								</li>
							<?php
							endif;
						endwhile;
						
						$lessons->reset_postdata();
						if ( $is_enrolled && is_user_logged_in() ):?>
							</ul>
						<?php endif; ?>

					</div>
				</div>
			</li>
			<?php 
			endwhile; 

			$topics->reset_postdata();

			wp_reset_postdata();
		?>
		</ul>
	</div>
</div>