<?php
/**
 * Single Course tabs
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$course_id   = get_the_ID();
$is_enrolled = tutor_utils()->is_enrolled( $course_id );
$course_subpage = get_query_var('course_subpage');

if ( $is_enrolled && is_user_logged_in() ) {
	$nav_classes = 'nav-lt-tab';
	$course_card_classes  = '';
	$course_card_header_classes = 'card rounded-top-left-0 rounded-top-end-0 mb-5';
} else {
    $nav_classes = 'nav-lb-tab';
    $course_card_classes = ' card rounded-3';
    $course_card_header_classes = 'card-header';
}


if ( ! empty( $course_tabs ) ) : ?>
<!-- Card -->
<div class="course-tabs<?php echo esc_attr( $course_card_classes );?>">
	<!-- Card header -->
	<div class="border-bottom-0 p-0 <?php echo esc_attr( $course_card_header_classes );?>">
		<div>
			<!-- Nav -->
			<ul class="nav <?php echo esc_attr( $nav_classes );?>" id="tab" role="tablist">
				<?php foreach ( $course_tabs as $key => $course_tab ) : ?>
				<li class="nav-item">
					<a class="nav-link <?php if(get_query_var('course_subpage') === $key):?>active<?php elseif ( ! isset( $active ) && $course_subpage === '' ): ?> active<?php endif; $active = false; ?>" id="tab-title-<?php echo esc_attr( $key ); ?>" data-bs-toggle="pill" href="#tab-<?php echo esc_attr( $key ); ?>" role="tab" aria-controls="tab-<?php echo esc_attr( $key ); ?>" aria-selected="true"><?php echo wp_kses_post( apply_filters( 'geeks_course_' . $key . '_tab_title', $course_tab['title'], $key ) ); ?></a>
				</li>
				<?php endforeach; ?>
			</ul>
		</div>
	</div>

	<?php if( $is_enrolled && is_user_logged_in() ): ?>
		<div class="card rounded-3">
	<?php endif; ?>
	<!-- Card Body -->
	<div class="card-body">
		<div class="tab-content" id="tabContent">
			<?php foreach ( $course_tabs as $key => $course_tab ) : ?>
			<div class="tab-pane fade <?php if(get_query_var('course_subpage') === $key):?>active show<?php elseif ( ! isset( $c_active ) && $course_subpage === '' ): ?> active show<?php endif; $c_active = false; ?>" id="tab-<?php echo esc_attr( $key ); ?>" role="tabpanel" aria-labelledby="tab-title-<?php echo esc_attr( $key ); ?>">
			<?php
				if ( isset( $course_tab['callback'] ) ) {
					call_user_func( $course_tab['callback'], $key, $course_tab );
				}
			?>
			</div>
			<?php endforeach; ?>
		</div>
	</div>
	<?php if( $is_enrolled && is_user_logged_in() ): ?>
		</div>
	<?php endif; ?>

</div>
<?php endif; ?>