<?php

/**
 * Template for displaying courses
 *
 * @since v.1.0.0
 *
 * @package TutorLMS/Templates
 * @version 1.5.8
 */

get_header();
?>
<div class="bg-primary py-4 py-lg-6">
	<div class="container">
		<div class="row align-items-center">
			<div class="col-xl-12 col-lg-12 col-md-12 col-12">
				<div>
					<h1 class="mb-1 text-white display-4"><?php geeks_tutor_page_title(); ?></h1>
					<?php do_action( 'geeks_tutor_archive_course_description' ); ?>
				</div>
			</div>
		</div>
	</div>
</div>
<?php do_action( 'geeks_after_courses_header' ); ?>
<div class="py-6">
	<div class="container">
	<?php
	//geeks_course_archive_filter_bar();

	do_action( 'geeks_before_courses' );

	if ( isset( $_GET['course_filter'] ) ) {
		$filter = (new \Tutor\Course_Filter(false))->load_listing( $_GET, true );
		query_posts( $filter );
	}

	// Load the 
	tutor_load_template('archive-course-init', array_merge($_GET, array(
		'course_filter' => (bool) tutor_utils()->get_option('course_archive_filter', false),
		'supported_filters' => tutor_utils()->get_option('supported_course_filters', array()),
		'loop_content_only' => false
	)));
	?>
	</div>
</div>
<?php

get_footer();
