<?php
/**
 * @package TutorLMS/Templates
 * @version 1.4.3
 */

if ( $statements->count ) {
	?>
	<div class="tutor-dashboard-statement-table-wrap table-responsive border-0">
		<table class="tutor-dashboard-statement-table tutor-table table mb-0 text-nowrap">
			<thead>
				<tr>
					<th scope="col" class="border-0"><?php esc_html_e( 'Course', 'geeks' ); ?></th>
					<th scope="col" class="border-0"><?php esc_html_e( 'Earning', 'geeks' ); ?></th>
					<th scope="col" class="border-0"><?php esc_html_e( 'Deduct', 'geeks' ); ?></th>
				</tr>
			</thead>

			<tbody>
				<?php
				foreach ( $statements->results as $statement ) {
					?>
					<tr>
						<td>
							<p>
								<a href="<?php echo esc_url( get_the_permalink( $statement->course_id ) ); ?>" target="_blank"><?php echo esc_html( $statement->course_title ); ?></a>
							</p>

							<p>
								<?php esc_html_e( 'Price', 'geeks' ); ?>
								<?php echo wp_kses_post( tutor_utils()->tutor_price( $statement->course_price_total ) ); ?>
							</p>

							<p class="small-text">
								<span class="statement-order-<?php echo esc_attr( $statement->order_status ); ?>"><?php echo esc_html( $statement->order_status ); ?></span> <?php esc_html_e( 'Order ID', 'geeks' ); ?>#<?php echo esc_html( $statement->order_id ); ?>,

								<strong><?php esc_html_e( 'Date:', 'geeks' ); ?></strong>
								<i><?php echo esc_html( date_i18n( get_option( 'date_format', strtotime( $statement->created_at ) ) ) . ' ' . date_i18n( get_option( 'time_format', strtotime( $statement->created_at ) ) ) ); ?></i>
							</p>

							<?php
							$order = new WC_Order( $statement->order_id );
							echo '<div class="statement-address"> <strong>Purchaser</strong> <address>' . wp_kses_post( $order->get_formatted_billing_address() ) . '</address></div>';
							?>
						</td>
						<td>
							<p><?php echo wp_kses_post( tutor_utils()->tutor_price( $statement->instructor_amount ) ); ?></p>
							<p class="small-text"> <?php esc_html_e( 'As per', 'geeks' ); ?> <?php echo esc_html( $statement->instructor_rate ); ?> (<?php echo esc_html( $statement->commission_type ); ?>) </p>
						</td>

						<td>
							<p><?php esc_html_e( 'Commission', 'geeks' ); ?> : <?php echo wp_kses_post( tutor_utils()->tutor_price( $statement->admin_amount ) ); ?> </p>
							<p class="small-text"><?php esc_html_e( 'Rate', 'geeks' ); ?> : <?php echo esc_html( $statement->admin_rate ); ?> </p>
							<p class="small-text"><?php esc_html_e( 'Type', 'geeks' ); ?> : <?php echo esc_html( $statement->commission_type ); ?> </p>

							<p><?php esc_html_e( 'Deducted', 'geeks' ); ?> : <?php echo esc_html( $statement->deduct_fees_name ); ?>  <?php
							echo wp_kses_post( tutor_utils()->tutor_price( $statement->deduct_fees_amount ) );
							?>
							</p>
							<p class="small-text"><?php esc_html_e( 'Type', 'geeks' ); ?> : <?php echo esc_html( $statement->deduct_fees_type ); ?> </p>
						</td>
					</tr>
					<?php
				}
				?>
			</tbody>
		</table>
	</div>
	<?php
} else {
	printf( '<span>%s</span>', esc_html__( 'There is not enough sales data to generate a statement', 'geeks' ) );
}

?>
