<?php
/**
 * Profile completion
 *
 * @package Tutor\Templates
 * @subpackage Dashboard\Notifications
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.0.0
 */

$profile_completion = tutils()->user_profile_completion();

if ( $profile_completion->progress < 100 ) { ?>
	<div class="tutor-col-12">
		<div class="tutor-profile-completion-warning alert alert-warning mt-3">
			<div class="profile-completion-warning-icon">
				<span class="tutor-icon-warning-2"></span>
			</div>
			<div class="profile-completion-warning-content">
				<h4><?php esc_html_e( 'Complete Your Profile', 'geeks' ); ?></h4>
				<div class="profile-completion-warning-details">
					<p><?php esc_html_e( 'Complete your profile so people can know more about you! Go to Profile', 'geeks' ); ?> <a href="<?php echo esc_url( tutils()->tutor_dashboard_url( 'settings' ) ); ?>"><?php esc_html_e( 'Settings', 'geeks' ); ?></a></p>
					<ul class="list-unstyled">
						<?php
						foreach ( $profile_completion->empty_fields as $empty_field ) {
							echo '<li>' . esc_html__( 'Set Your', 'geeks' ) . '<span> ' . esc_html( $empty_field ) . '</span></li>';
						}
						?>
					</ul>
				</div>
				<div class="profile-completion-warning-status">
					<p><span><?php echo esc_html( $profile_completion->progress . __( '% Complete', 'geeks' ) ); ?>,</span> <?php esc_html_e( 'You are almost done!', 'geeks' ); ?></p>
					<div class="tutor-progress-bar-wrap">
						<div class="tutor-progress-bar progress" style="height: 3px; width: 25rem">
							<div class="tutor-progress-filled progress-bar bg-succes" style="width: <?php echo esc_attr( $profile_completion->progress ); ?>%;"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>
