<?php
/**
 * Template for displaying Assignments
 *
 * @package Tutor\Templates
 * @subpackage Dashboard\Settings
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.6.2
 */

$settings_url   = tutor_utils()->get_tutor_dashboard_page_permalink( 'settings' );
$withdraw       = tutor_utils()->get_tutor_dashboard_page_permalink( 'settings/withdraw-settings' );
$reset_password = tutor_utils()->get_tutor_dashboard_page_permalink( 'settings/reset-password' );
$social         = tutor_utils()->get_tutor_dashboard_page_permalink( 'settings/social-profile' );

$setting_menus = array(
	'profile'   => array(
		'url'   => esc_url( $settings_url ),
		'title' => esc_html__( 'Profile', 'geeks' ),
		'role'  => false,
	),
	'reset_password' => array(
		'url'   => esc_url( $reset_password ),
		'title' => esc_html__( 'Reset Password', 'geeks' ),
		'role'  => false,
	),
	'withdrawal' => array(
		'url'   => esc_url( $withdraw ),
		'title' => esc_html__( 'Withdraw', 'geeks' ),
		'role'  => 'instructor',
	),
	'social-profile' => array(
		'url'   => esc_url( $social ),
		'title' => esc_html__( 'Social Profile', 'geeks' ),
		'role'  => false,
	),
);

$setting_menus                = apply_filters( 'tutor_dashboard/nav_items/settings/nav_items', $setting_menus );
$GLOBALS['tutor_setting_nav'] = $setting_menus;
?>
<ul class="list-unstyled d-flex align-items-center nav nav-lb-tab">
	<?php
		$index = 0;
	foreach ( $setting_menus as $menu_key => $menu ) {

		$valid = 'profile' == $menu_key || ! $menu['role'] || ( 'instructor' == $menu['role'] && current_user_can( tutor()->instructor_role ) ); 

		if ( $valid ) {
			$nav_item_class = 'nav-item';
			if ( 0 === $index ) {
				$nav_item_class .= ' ms-0';
			}

			$nav_link_class = 'nav-link';
			if ( $active_setting_nav === $menu_key  ) {
				$nav_link_class .= ' active';
			}
			?>
			<li class="<?php echo esc_attr( $nav_item_class ); ?>">
				<a class="<?php echo esc_attr( $nav_link_class ); ?>" href="<?php echo esc_url( $menu['url'] ); ?>"> <?php echo esc_html( $menu['title'] ); ?></a>
			</li>
			<?php
		}
		$index++;
	}
	?>
</ul>
