<?php
/**
 * Frontend Wishlist Page
 *
 * @package Tutor\Templates
 * @subpackage Dashboard
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @version 1.4.3
 */

global $post; ?>

<div class="tutor-dashboard-content-inner my-wishlist">
	<?php
	$wishlists = tutor_utils()->get_wishlist();

	if ( is_array( $wishlists ) && count( $wishlists ) ) :

		tutor_course_loop_start();
		foreach ( $wishlists as $post ) :
			setup_postdata( $post );

			/**
			 * @hook tutor_course/archive/before_loop_course
			 * @type action
			 * Usage Idea, you may keep a loop within a wrap, such as bootstrap col
			 */
			do_action( 'tutor_course/archive/before_loop_course' );

			tutor_load_template( 'loop.course' );

			/**
			 * @hook tutor_course/archive/after_loop_course
			 * @type action
			 * Usage Idea, If you start any div before course loop, you can end it here, such as </div>
			 */
			do_action( 'tutor_course/archive/after_loop_course' );

			endforeach;
		tutor_course_loop_end();

		wp_reset_postdata();

	else :
		$msg = esc_html__( 'You do not have any course on the wishlist yet.', 'geeks' );
		echo "<div class=\"tutor-col alert alert-warning mb-0\">{$msg}</div>";
	endif;

	?>
</div>

