<?php
/**
 * Display attachments
 *
 * @package Tutor\Templates
 * @subpackage Global
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$attachments    = tutor_utils()->get_attachments();
$open_mode_view = apply_filters( 'tutor_pro_attachment_open_mode', null ) == 'view' ? ' target="_blank" ' : null;

do_action( 'tutor_global/before/attachments' );

if ( is_array( $attachments ) && count( $attachments ) ) {
	?>
	<div class="tutor-page-segment tutor-attachments-wrap">
		<h3 class="mb-4"><?php esc_html_e( 'Attachments', 'geeks' ); ?></h3>
		<div class="tutor-course-attachments tutor-row5 row">
			<?php
			foreach ( $attachments as $attachment ) { ?>
				<div class="col-lg-6 mb-4 mb-0-last-child">
					<div class="tutor-course-attachment tutor-card tutor-card-sm border rounded-3">
						<div class="tutor-card-body">
							<div class="tutor-row">
								<div class="tutor-col tutor-overflow-hidden">
									<div class="tutor-fs-6 tutor-fw-medium tutor-color-black tutor-text-ellipsis tutor-mb-4"><?php echo esc_html( $attachment->name ); ?></div>
									<div class="tutor-fs-7 tutor-color-muted"><?php esc_html_e( 'Size', 'geeks' ); ?>: <?php echo esc_html( $attachment->size ); ?></div>
								</div>

								<div class="tutor-col-auto">
									<a href="<?php echo esc_url( $attachment->url ); ?>" class="tutor-iconic-btn tutor-iconic-btn-secondary tutor-stretched-link" <?php echo esc_attr( $open_mode_view ? $open_mode_view : "download={$attachment->name}" ); ?>>
										<span class="tutor-icon-download" area-hidden="true"></span>
									</a>
								</div>
							</div>
						</div>
					</div>
				</div>
				<?php
			}
			?>
		</div>
		
	</div>
<?php } else {
    tutor_utils()->tutor_empty_state(esc_html__('No Attchment Found', 'geeks'));
}
do_action( 'tutor_global/after/attachments' ); ?>
