<?php
/**
 * A single course loop
 *
 * @since v.1.0.0
 * @url https://themeum.com
 *
 * @package TutorLMS/Templates
 * @version 1.4.3
 */

global $authordata;

$course_rating = tutor_utils()->get_course_rating();
$course_data   = [
	'post_average_rating' => $course_rating->rating_avg,
	'post_rating_count'   => $course_rating->rating_count,
	'post_meta_items'     => [
		'duration' => 'geeks_tutor_loop_meta_course_duration',
		'level'    => 'geeks_tutor_loop_meta_course_level',
	],
	'instructor_id'       => $authordata->ID,
	'instructor_name'     => get_the_author(),
];

if ( tutor_utils()->is_course_purchasable() ) {
	if (tutor_utils()->has_wc()) {
		$course_id  = get_the_ID();
		$product_id = tutor_utils()->get_course_product_id( $course_id );
		$product    = wc_get_product( $product_id );
		if ( $product ) {
			$course_data['price_html'] = $product->get_price_html();
		}
	}
}

geeks_get_template( 'courses/loop-grid-view.php', $course_data );
