<?php
/**
 * Profile Bio Template
 *
 * @package Tutor\Templates
 * @subpackage Profile
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.4.3
 */

$user_name = sanitize_text_field( get_query_var( 'tutor_profile_username' ) );
$get_user  = tutor_utils()->get_user_by_login( $user_name );
$user_id   = $get_user->ID;


$profile_bio = get_user_meta( $user_id, '_tutor_profile_bio', true );
?>
<div class="card border-0 mb-4">
	<div class="card-body">
		<?php
		if ( $profile_bio ) {
			?>
		<h4><?php echo esc_html__( 'About me', 'geeks' ); ?></h4>
		<div class="mb-0-last-child">
			<?php echo wpautop( $profile_bio ); ?>
		</div>
			<?php
		} else {
			esc_html_e( 'Bio data is empty', 'geeks' );
		}
		?>
	</div>
</div>
