<?php
/**
 * Template for displaying single lesson, assignment, quiz etc.
 *
 * @package Tutor\Templates
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.0.0
 */

global $post;
//phpcs:ignore WordPress.NamingConventions.ValidVariableName.VariableNotSnakeCase
$currentPost = $post;

$method_map = array(
    'lesson' => 'tutor_lesson_content',
    'assignment' => 'tutor_assignment_content',
);

$content_id = tutor_utils()->get_post_id();
$course_id = tutor_utils()->get_course_id_by_subcontent( $content_id );
$contents = tutor_utils()->get_course_prev_next_contents_by_id($content_id);
$previous_id = $contents->previous_id;
$next_id = $contents->next_id;
$user_id     = get_current_user_id();


$is_course_completed   = tutor_utils()->is_completed_course( $course_id, $user_id );
$enable_spotlight_mode = tutor_utils()->get_option( 'enable_spotlight_mode' );
//phpcs:ignore WordPress.PHP.DontExtract.extract_extract
extract( $data ); // $data variable consist $context, $html_content.

function tutor_course_single_sidebar( $echo = true, $context='desktop' ) {
    ob_start();
    tutor_load_template( 'single.lesson.lesson_sidebar', array('context' => $context) );
    $output = apply_filters( 'tutor_lesson/single/lesson_sidebar', ob_get_clean() );

    if ( $echo ) {
        echo tutor_kses_html( $output );
    }

    return $output;
}

do_action( 'tutor/course/single/content/before/all', $course_id, $content_id );

get_tutor_header();
// $enable_spotlight_mode_class = "tutor-single-$context-wrap";

// if (!empty( $enable_spotlight_mode ) ) {
//     $enable_spotlight_mode_class .= ' tutor-spotlight-mode';
// }
?>

<?php do_action('tutor_'.$context.'/single/before/wrap'); ?>
    <div class="tutor-course-single-content-wrapper<?php echo $enable_spotlight_mode ? ' tutor-spotlight-mode' : ''; ?>">
        <div id="tutor-single-entry-content" class="tutor-quiz-single-entry-wrap course-container tutor-lesson-content tutor-single-entry-content tutor-single-entry-content-<?php the_ID(); ?>">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-12">
                        <div class="tab-content content">
                            <div class="tab-pane fade show active">
                    		    <?php (isset($method_map[$context]) && is_callable($method_map[$context])) ? $method_map[$context]() : 0; ?>
                                <?php echo isset($html_content) ? $html_content  : '' ; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>  
        </div>
        
        <div class="tutor-sidebar-fixed course-sidebar card">           
            <div class="tutor-lesson-sidebar tutor-<?php echo esc_attr( $context ); ?>-sidebar h-100 pt-1" style="display: block;">
                <?php tutor_course_single_sidebar(); ?>
            </div>
        </div>
    </div>
<?php do_action('tutor_'.$context.'/single/after/wrap');

get_tutor_footer();
