<?php
/**
 * Template for displaying single quiz
 *
 * @package Tutor\Templates
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.0.0
 */

get_tutor_header();

global $previous_id;

// Get the ID of this content and the corresponding course
$course_content_id = get_the_ID();
$course_id = tutor_utils()->get_course_id_by_subcontent($course_content_id);

$content_id = tutor_utils()->get_post_id($course_content_id);
$contents = tutor_utils()->get_course_prev_next_contents_by_id($content_id);
$previous_id = $contents->previous_id;
$course = tutor_utils()->get_course_by_quiz(get_the_ID());

// Get total content count
$course_stats = tutor_utils()->get_course_completed_percent($course_id, 0, true);
$enable_spotlight_mode = tutor_utils()->get_option( 'enable_spotlight_mode' );
ob_start();

?>

<input type="hidden" name="tutor_quiz_id" id="tutor_quiz_id" value="<?php the_ID(); ?>">
<div class="tutor-single-page-top-bar card mb-4 mt-5">
	<div class="card-body p-3">
		<div class="d-md-flex align-items-center justify-content-between flex-wrap">
			<div class="d-flex align-items-center tutor-topbar-item tutor-hide-sidebar-bar">
				<a href="#" class="me-2 text-inherit tutor-lesson-sidebar-hide-bar tutor-course-topics-sidebar-toggler" tutor-course-topics-sidebar-toggler><i class="fe fe-chevron-left"></i> </a>
				<h2 class="course-title mb-0 h4">
					<a class="text-inherit" href="<?php echo get_the_permalink( $course->ID ); ?>"><?php echo get_the_title( $course->ID ); ?></a>
				</h2>
			</div>

			<div class="tutor-topbar-right-item d-flex align-items-center">
                <div class="tutor-topbar-assignment-details d-flex align-items-center">
                    <?php
                        do_action('tutor_course/single/enrolled/before/lead_info/progress_bar');
                    ?>
                    <div class="tutor-text-regular-caption">
                        <span class="tutor-progress-content text-dark d-none d-xl-inline-block">
                            <?php esc_html_e('Your Progress:', 'geeks'); ?>
                        </span>
                        <span class="tutor-text-bold-caption">
                            <?php echo esc_html( $course_stats['completed_count'] ); ?>
                        </span> 
                        <?php esc_html_e('of ', 'geeks'); ?>
                        <span class="tutor-text-bold-caption">
                            <?php echo esc_html( $course_stats['total_count'] ); ?>
                        </span>
                        (<?php echo esc_html( $course_stats['completed_percent'] .'%' ); ?>)
                    </div>
                    <?php
                        do_action('tutor_course/single/enrolled/after/lead_info/progress_bar');
                    ?>
                </div>
                <div class="tutor-topbar-cross-icon flex-center ms-1 ms-xl-2">
                    <?php $course_id = tutor_utils()->get_course_id_by('lesson', get_the_ID()); ?>
                    <a href="<?php echo get_the_permalink($course_id); ?>">
                        <i class="fe fe-x"></i>
                    </a>
                </div>
            </div>
		</div>
	</div>
</div>

<div class="tutor-mobile-top-navigation d-none tutor-bs-d-block tutor-bs-d-sm-none tutor-my-20 tutor-mx-10">
    <div class="tutor-mobile-top-nav d-grid">
        <a href="<?php echo get_the_permalink($previous_id); ?>">
            <span class="tutor-top-nav-icon tutor-icon-previous-line design-lightgrey"></span>
        </a>
        <div class="tutor-top-nav-title tutor-text-regular-body  tutor-color-text-primary">
            <?php 
                the_title();
            ?>
        </div>
    </div>
</div>

<?php ob_start(); ?>
	<div class="tutor-quiz-single-wrap ">
		<input type="hidden" name="tutor_quiz_id" id="tutor_quiz_id" value="<?php the_ID(); ?>">

		<?php
		if ( $course ) {
			?>
			<div class="geeks-single-quiz-content">
				<?php
				tutor_single_quiz_top();
				//tutor_single_quiz_content();
				tutor_single_quiz_body();
				?>
			</div>
			<?php
			tutor_next_previous_pagination();

		} else {
			tutor_single_quiz_no_course_belongs();
		}
		?>
	</div>
<?php 

echo apply_filters( 'tutor_quiz/single/wrapper', ob_get_clean() );
tutor_load_template_from_custom_path(__DIR__.'/single-content-loader.php', array('context' => 'quiz', 'html_content'=>ob_get_clean()), false);
?>



