<?php
/**
 * Template for displaying course benefits
 *
 * @package Tutor\Templates
 * @subpackage Single\Course
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.0.0
 */

do_action( 'tutor_course/single/before/benefits' );


$course_benefits = tutor_course_benefits();
if ( empty( $course_benefits ) ) {
	return;
}
?>

<?php if (is_array($course_benefits) && count($course_benefits)): ?>
	<div class="tutor-course-details-widget card mb-4">
		<div class="tutor-course-details-widget-title card-header">
			<h4 class="mb-0">
				<?php esc_html_e('What Will I Learn?', 'geeks'); ?>
			</h4>
		</div>
		<div class="card-body">
			<ul class="tutor-course-details-widget-list tutor-m-0 tutor-mt-16 list-unstyled">
				<?php
				$index = 0;
				foreach ($course_benefits as $benefit): 
					$list_class    = ( 0 !== $index ) ? ' mt-1' : '';?>
					<li class="d-flex align-items-center tutor-bs-d-flex tutor-mb-10<?php echo esc_attr( $list_class ); ?>">
						<span class="tutor-icon-bullet-point text-primary tutor-mr-5"></span>
						<span class="ms-1"><?php echo esc_html( $benefit ); ?></span>
					</li>
					<?php $index++; 
				endforeach; ?>
			</ul>
		</div>
	</div>
<?php endif; ?>

<?php do_action('tutor_course/single/after/benefits'); ?>
