<?php
/**
 * Template for displaying course requirements
 *
 * @package Tutor\Templates
 * @subpackage Single\Course
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.0.0
 */

do_action('tutor_course/single/before/requirements');

$course_requirements = tutor_course_requirements();

if ( empty($course_requirements)){
	return;
}

if (is_array($course_requirements) && count($course_requirements)){
	?>

	<div class="tutor-course-details-widget card mb-4">
		<div class="tutor-course-details-widget-title tutor-mb-16 card-header">
			<h4 class="mb-0"><?php esc_html_e('Requirements', 'geeks'); ?></h4>
		</div>
		<div class="card-body">
			<ul class="tutor-course-details-widget-list list-unstyled">
				<?php
				$index = 0;
					foreach ($course_requirements as $requirement) {
						$list_class    = ( 0 !== $index ) ? ' mt-1' : ''; ?>
						<li class="d-flex align-items-center tutor-bs-d-flex tutor-mb-10<?php echo esc_attr( $list_class ); ?>">
						<span class="tutor-icon-bullet-point text-primary tutor-mr-5"></span>
						<span class="ms-1"><?php echo esc_html( $requirement ); ?></span>
					</li>
					<?php
					$index++; 
					}
				?>
			</ul>
		</div>
	</div>

<?php } ?>

<?php do_action('tutor_course/single/after/requirements'); ?>
