<?php
/**
 * Template for displaying course audience
 *
 * @package Tutor\Templates
 * @subpackage Single\Course
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.0.0
 */

do_action('tutor_course/single/before/audience');

$target_audience = tutor_course_target_audience();

if ( empty($target_audience)){
	return;
}

if (is_array($target_audience) && count($target_audience)){
	?>

	<div class="tutor-course-details-widget card mb-4">
		<div class="tutor-course-details-widget-title card-header">
			<h4 class="mb-0">
				<?php esc_html_e('Audience', 'geeks'); ?>
			</h4>
		</div>
		<div class="card-body">
			<ul class="tutor-course-details-widget-list list-unstyled">
				<?php
				$index = 0;
					foreach ($target_audience as $audience){
						$list_class    = ( 0 !== $index ) ? ' mt-1' : '';?>
						<li class="d-flex align-items-center tutor-bs-d-flex tutor-mb-10<?php echo esc_attr( $list_class ); ?>"><span class="tutor-icon-mark-filled text-primary tutor-mr-5"></span><span class="ms-1"><?php echo esc_html( $audience ); ?></span></li>
					<?php
					$index++; 
					}
				?>
			</ul>
		</div>
	</div>

<?php } ?>

<?php do_action('tutor_course/single/after/audience'); ?>

