<?php
/**
 * Announcements
 *
 * @since v.1.0.0
 * @author themeum
 * @url https://themeum.com
 *
 * @package TutorLMS/Templates
 * @version 1.4.3
 */

$announcements = tutor_utils()->get_announcements( get_the_ID() );
?>

<?php do_action( 'tutor_course/announcements/before' ); ?>
<div class="tutor-announcements-wrap">
	<?php
	if ( is_array( $announcements ) && count( $announcements ) ) {
		?>
		<?php
		foreach ( $announcements as $announcement ) {
			?>
			<div class="tutor-announcement border-0">
				<div class="d-md-flex align-items-center mb-3">
					<div class="tutor-announcement-big-icon icon-shape icon-xl rounded-circle bg-light-primary text-center mr-2 mb-3 mb-md-0">
						<i class="fs-3 tutor-icon-bullhorn text-dark-primary"></i>
					</div>

					<div class="tutor-announcement-title-wrap ms-md-3 mt-2">
						<h4 class="mb-0"><?php echo esc_html( $announcement->post_title ); ?></h4>
						<span class="tutor-announcement-meta tutor-text-mute text-muted fs-6">
							<?php echo esc_html( sprintf( esc_html__( 'Posted by %1$s, at %2$s ago', 'geeks' ), 'admin', human_time_diff( strtotime( $announcement->post_date ) ) ) ); ?>
						</span>
					</div>
				</div>

				<div class="tutor-announcement-content">
					<?php echo wp_kses_post( tutor_utils()->announcement_content( wpautop( stripslashes( $announcement->post_content ) ) ) ); ?>
				</div>
			</div>
			<?php
		}
		?>
		<?php
	} else {
		?>
		<div class="tutor-no-announcements">
			<h3 class="mb-4"><?php esc_html_e( 'No announcements posted yet.', 'geeks' ); ?></h3>
			<p>
				<?php esc_html_e( 'The instructor hasn’t added any announcements to this course yet. Announcements are used to inform you of updates or additions to the course.', 'geeks' ); ?>
			</p>
		</div>

		<?php
	}
	?>
</div>

<?php do_action( 'tutor_course/announcements/after' ); ?>
