<?php
/**
 * Progress bar
 *
 * @since v.1.0.0
 * @author themeum
 * @url https://themeum.com
 *
 * @package TutorLMS/Templates
 * @version 1.4.3
 */

$completed_count = tutor_utils()->get_course_completed_percent();

do_action( 'tutor_course/single/enrolled/before/lead_info/progress_bar' );

if ( $completed_count > 0 ) {
	?>

	<div class="tutor-course-status mt-3">
		<h4 class="sr-only tutor-segment-title h5"><?php esc_html_e( 'Course Status', 'geeks' ); ?></h4>
		<div class="tutor-progress-bar-wrap">
			<div class="tutor-progress-bar progress" style="height: 3px;">
				<div class="tutor-progress-filled progress-bar bg-success" role="progressbar" style="width: <?php echo esc_attr( $completed_count . '%;' ); ?>" aria-valuenow="<?php echo esc_attr( $completed_count ); ?>" aria-valuemin="0" aria-valuemax="100"></div>
			</div>
			<span class="d-none tutor-progress-percent"><?php echo esc_html( $completed_count ); ?>% <?php esc_html_e( ' Complete', 'geeks' ); ?></span>
		</div>
	</div>
	<?php
}
	do_action( 'tutor_course/single/enrolled/after/lead_info/progress_bar' );
?>
