<?php
/**
 * Template for displaying course tags
 *
 * @since v.1.0.0
 *
 * @author Themeum
 * @url https://themeum.com
 *
 * @package TutorLMS/Templates
 * @version 1.4.3
 */

do_action('tutor_course/single/before/tags');

$course_tags = apply_filters( 'tutor_course_single_tags', get_tutor_course_tags(), get_the_ID() );
if( is_array( $course_tags ) && count( $course_tags ) ){ ?>
    <div class="tutor-course-details-widget card mb-4">
        <div class="widget-title card-header">
            <h4 class="mb-0"><?php esc_html_e('Tags', 'geeks'); ?></h4>
        </div>
        <div class="tutor-course-details-widget-tags card-body">
          <ul class="tutor-tag-list">
                <?php
                    foreach ($course_tags as $course_tag){
                        $tag_link = get_term_link( (int) $course_tag->term_id );
                        echo "<li><a href=' " . esc_url( $tag_link ) . " '> " . esc_html( $course_tag->name ) . ' </a></li>';
                    }
                ?>
          </ul>
        </div>
    </div>
<?php
}

do_action('tutor_course/single/after/tags'); ?>