<?php
/**
 * Display attachments
 *
 * @package Tutor\Templates
 * @subpackage Single\Lesson
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

do_action( 'tutor_lesson/single/before/complete_form' );

$is_completed_lesson = tutor_utils()->is_completed_lesson();
if ( ! $is_completed_lesson ) {
	?>
	<div class="tutor-topbar-complete-btn mt-2 mt-md-0">

		<form method="post">
            <?php wp_nonce_field( tutor()->nonce_action, tutor()->nonce, false ); ?>
            <input type="hidden" value="<?php echo esc_attr( get_the_ID() ); ?>" name="lesson_id" />
            <input type="hidden" value="tutor_complete_lesson" name="tutor_action"/>
            <button type="submit" class="tutor-topbar-mark-btn btn btn-primary btn-sm" name="complete_lesson_btn" value="complete_lesson">
                <span class="ttr-tick-circle-outline-filled me-1"></span>
                <span class="tutor-content-responsive tutor-btn-content"><?php esc_html_e( 'Mark as ', 'geeks' ); ?></span>
                <span class="tutor-btn-content"><?php esc_html_e( 'Complete', 'geeks' ); ?></span>
            </button>
        </form>
	</div>
	<?php
}
do_action( 'tutor_lesson/single/after/complete_form' ); ?>


