<?php
/**
 * Password retrive form
 *
 * @package Tutor\Templates
 * @subpackage Template_Part
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.4.3
 */

defined( 'ABSPATH' ) || exit;

do_action( 'tutor_before_reset_password_form' ); ?>

<div class="container d-flex flex-column">
	<div class="row align-items-center justify-content-center g-0 min-vh-100">
		<div class="col-lg-5 col-md-8 py-8 py-xl-0">
			<div class="card shadow">
				<div class="card-body p-6">
					<form method="post" class="tutor-reset-password-form tutor-ResetPassword lost_reset_password">
						<?php tutor_nonce_field(); ?>
						<input type="hidden" name="tutor_action" value="tutor_process_reset_password">
						<input type="hidden" name="reset_key" value="<?php echo esc_attr( tutils()->array_get( 'reset_key', $_GET ) ); ?>">
						<input type="hidden" name="user_id" value="<?php echo esc_attr( tutils()->array_get( 'user_id', $_GET ) ); ?>">

						<p>
							<?php echo esc_html( apply_filters( 'tutor_reset_password_message', esc_html__( 'Enter Password and Confirm Password to reset your password', 'geeks' ) ) ); ?>
						</p>

						<div class="mb-3">
							<label class="form-label"><?php esc_html_e( 'Password', 'geeks' ); ?></label>
							<input class="form-control" type="password" name="password" id="password">
						</div>

						<div class="mb-3">
							<label class="form-label"><?php esc_html_e( 'Confirm Password', 'geeks' ); ?></label>
							<input class="form-control" type="password" name="confirm_password" id="confirm_password">
						</div>

						<?php do_action( 'tutor_reset_password_form' ); ?>

						<div class="mb-3">
							<button type="submit" class="tutor-button tutor-button-primary btn btn-primary" value="<?php esc_attr_e( 'Reset password', 'geeks' ); ?>"><?php esc_html_e( 'Reset password', 'geeks' ); ?></button>
						</div>

					</form>
				</div>
			</div>
		</div>
	</div>
</div>

<?php do_action( 'tutor_after_reset_password_form' ); ?>
