<?php
/**
 * The template for displaying product widget entries.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-widget-reviews.php
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;
$image_size = apply_filters( 'geeks_content_widget_reviews_thumbnail_size', 'woocommerce_thumbnail' );
?>
<li class="product d-flex align-items-center">
	<?php do_action( 'woocommerce_widget_product_review_item_start', $args ); ?>

	<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>" class="widget-product-thumb d-block me-3">
		<?php echo wp_kses_post( $product->get_image( $image_size, array( 'class' => 'rounded img-4by3-lg' ) ) ); ?>
	</a>

	<div class="content-body">
		<h4 class="widget-product-title mb-1 h5">
			<a class="p-0" href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
				<?php echo wp_kses_post( $product->get_name() ); ?>
			</a>
		</h4>
		<span class="d-block lh-1">
			<?php geeks_display_review_stars( intval( get_comment_meta( $comment->comment_ID, 'rating', true ) ) ); ?>
		</span>

		<span class="reviewer"><?php /* translators: %s - Author name */ echo sprintf( esc_html__( 'by %s', 'geeks' ), get_comment_author( $comment->comment_ID ) ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></span>
	</div>

	<?php do_action( 'woocommerce_widget_product_review_item_end', $args ); ?>
</li>
