<?php
/**
 * Lost password form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/form-lost-password.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 7.0.1
 */

defined( 'ABSPATH' ) || exit;

?>
<div class="d-flex flex-column container">
	<div class="row align-items-center justify-content-center g-0 min-vh-100">
		<div class="col-lg-5 col-md-8 py-8 py-xl-0">
			<?php do_action( 'woocommerce_before_lost_password_form' ); ?>

			<div class="card shadow">
				<div class="card-body p-6">
					<div class="mb-4">
						<?php geeks_profile_form_branding(); ?>
						<h3 class="mb-1 fw-bold h1"><?php echo esc_html_x( 'Forgot Password', 'forgot-password-heading', 'geeks' ); ?></h3>
						<p><?php echo apply_filters( 'geeks_lost_password_message', esc_html__( 'Lost your password? Please enter your username or email address. You will receive a link to create a new password via email.', 'geeks' ) ); ?></p><?php //phpcs:ignore ?>
					</div>

					<form method="post" class="woocommerce-ResetPassword lost_reset_password">

						<p class="woocommerce-form-row woocommerce-form-row--first form-row form-row-first">
							<label class="form-label" for="user_login"><?php esc_html_e( 'Username or email', 'geeks' ); ?></label>
							<input class="woocommerce-Input woocommerce-Input--text input-text form-control" type="text" name="user_login" id="user_login" autocomplete="username" />
						</p>

						<div class="clear"></div>

						<?php do_action( 'woocommerce_lostpassword_form' ); ?>

						<div class="woocommerce-form-row form-row d-grid mb-3">
							<input type="hidden" name="wc_reset_password" value="true" />
							<button type="submit" class="woocommerce-Button button btn btn-primary<?php echo esc_attr( wc_wp_theme_get_element_class_name( 'button' ) ? ' ' . wc_wp_theme_get_element_class_name( 'button' ) : '' ); ?>" value="<?php esc_attr_e( 'Reset password', 'geeks' ); ?>"><?php esc_html_e( 'Send Reset Link', 'geeks' ); ?></button>
						</div>

						<?php wp_nonce_field( 'lost_password', 'woocommerce-lost-password-nonce' ); ?>

					</form>
				</div>
			</div>
		</div>
	</div>
</div>

<?php
do_action( 'woocommerce_after_lost_password_form' );

